Introduction

Winmail Server

This product contains libraries for directory services developed in the OpenLDAP (http://www.openldap.org)
This product includes libraries for ZIP compressions that have been developed within the Info-ZIP group project (http://www.info-zip.org)
This product includes the unrar.dll are exclusively owned by the author - Alexander Roshal.
This product contains cryptographic libraries developed in the OpenSSL project (http://www.openssl.org), co-author of which is Eric Young (<eay@cryptsoft.com>).

System Introduction

Winmail Server is an enterprise class mail server software system offering a robust feature set, including extensive security measures. Winmail Server supports SMTP, POP3, IMAP, Webmail, LDAP, multiple domains, SMTP authentication, spam protection, anti-virus protection, SSL security, SpamAssassin, RBL, SPF, Network Storage, remote access, Web-based administration, and a wide array of standard email options such as filtering, signatures, real-time monitoring, archiving, and public email folders. Winmail Server can be configured as a mail server or gateway for ADSL, FTTB and cable modem networks, beyond standard LAN and Internet mail server configurations.

System Requirement

· Hardware Requirements: Intel I3 CPU or above, 500 GB hard disk, 2048 MB memory available
· Operating System Requirements:
· OS Support:MS Windows XP/2003/2008/Windows 7/2012/Windows 10/2016 32bit/64bit.

Main Features

Flexibility
Winmail Server adapts well to many different network environments, with support for the following options:
Internet connection methods such as ADSL and dial-up
Webmail, either as virtual directory or web site, under IIS, Apache.
Two types of email gateways: POP3 download and ETRN download, allowing access by multiple users to one email account without conflict.
Automatic extraction and conversion of MS-TNEF (winmail.dat) attachments.
Static and dynamic IP connections.
Network Storage, User can setup share file and directory. Users can upload and download files via Webmail, FTP tools.
Enhanced Webmail with Calendar, Notebook, Bulletin board folder, Support UTF-8.

Ease of Use
Winmail Server supports the following user email functionality:
Popular email client software products such as Outlook.
Multi-language, Multi-themes Webmail
Anti-virus functions, including built-in API as well as support for most enterprise class anti-virus engines
Anti-Virus Engine Supported List
Personal email signatures
Email groups for efficient communication and collaboration between individual group members
Email file attachment filtering by file names and type settings
Email archiving
Included SpamAssassin
Event calendar and user schedule functions
IMAP (Internet Message Access Protocol) to access mail on server
LDAP (Lightweight Directory Access Protocol) and IMAP public folder access for Outlook and Webmail, to allow sharing of user information within an internal network

Ease of Administration
Mail system administrator functionality includes the following options:
Import and export of user accounts data for server upgrades
Administration of individual user account privileges including individual email account termination and individual mailbox size restriction
Ability to set up and manage user groups
Multiple administrators and independent domain administrator setup function
Remote access server administration using SSL security connection protocol via web management interface
Multi-domain (virtual domain) service and installation of multiple domains in one device
Windows server accounts standards conformance
Bi-directional mailbox monitoring
Real-time operating status reports
Multi-threading design to facilitate multi-user simultaneous access
Spam protection, IP and domain name filter, SPF support, SpamAssassin and RBL (Real-time Blackhole Lists) to check and individually customize user filter rules
Convenient software installation and uninstallation
Mail call-back function, support webmail and Office Outlook
Enhanced password policy

Safety and Security
The following security and backup features are provided:
SMTP service supporting multiple domain names, domain aliases and ESMTP (Extended SMTP) authentication.
SSL security for communication under SMTP, POP3, IMAP and LDAP
Creation, import and export of CA SSL certificate
System failure recovery function
System log recording each server event
System backup and restore capability


Function Module

Function modules that are available are as the following:

SMTP Service
SMTP Service supports multiple domain names, domain alias and ESMTP (Extended SMTP) authentication. User can deliver the emails directly to the destination domain by the MX(mail exchange) record or a specific mail server (such as a SMTP server of an ISP),and it supports TLS/SSL secure communication.

POP3 Service
User can receive emails from mail servers by mail clients such as Outlook, and it supports TLS/SSL secure communication.

IMAP Service
User can process emails on server using client software such as Outlook, Netscape Messenger, The Bat! and Eudora,and it supports TLS/SSL secure communication.

WebMail Service
Powerful multi-language, multi-themes Webmail is available. User can register a new account, compose/send emails, change password, set up external POP3 mailbox/auto-forward/auto-reply and Webmail as virtual directory or web site of IIS and Apache. IIS Settings Apache Settings
Enhanced Webmail with Bulletin board folder.

Please follow instruction below then somebody can register a new account online:
Administrator can setup registration through webmail is allowed or not by check the check box named 'Active register mailbox by webmail' in Domain Setting->Domains->pick a domain->Domain Extended Properties.

LDAP
Users can search the public address book through Webmail, Outlook with support of TLS/SSL secure communication.

IMAP Public Folder
IMAP public mail folder function is available. Administrator can setup individual user access rights of read/write/delete and search public info with Outlook and webmail.

Network Storage
Winmail supports network storage. User can setup share file and directory.Users can upload and download files via Webmail, FTP tools.

Calendar and Notebook
Winmail supports network calendar and notebook. User can setup task and event to remind you to do it.

Mail Signature
Restrictions can be set up so that some users' mails will need to be approved by a specific administrator. The administrator can approve or reject the mails.

Mail Anti-Virus
WinMail Server supports three modes for Anti-Virus including built-in API and almost all common Anti-Virus engines. The system scans emails in and out and effectively blocks and removes infected emails.
Anti-Virus Engine list

Initialize Wizard
Quick Setup Wizard enables user to set up mail server quickly by only entering a few simple parameters. Please refer Installation and Initialization for detailed instructions.

NT Domain Attestation
Winmail user accounts can be integrated with NT system accounts and all in-and-out mails are adopted in NT domain attestation to improve security and reduce the complexity of system maintenance.

Users Management
Administrator can create, delete and disable individual email accounts, set up mailbox quota, maximum number of emails allowed, maximum email bytes allowed and whether the user info is visible by others. User's right to send and receive email can be set up individually. User accounts can be imported and exported as well.

Group Management
Administrator can set up mail groups. Each user in the group will receive the email if the email is sent to the group. The system supports everyone group and external mail addresses.

Mail Gateway
The Winmail Server can also be used as the LAN's gateway. It will automatically receive mails from the appointed account in a remote server, and send them to the local customers according to the setting rules. Winmail supports two main ways of receiving remote mails: POP3 receiving and ETRN loading.

Remote Management
The remote management tools allow the administrator to manage the mail server in a remote trust center with SSL encipher.

Filter and Monitoring
The system also supply the filtration and two-way monitor functions by ways of IP addresses, domain names, mail's origin, texts of mail heads. and texts of mail body. Support SPF, SpamAssassin and RBL(Real-time Blackhole Lists). It can block spam mails and illegal content, information and also supports attachment filtering. Support frequency control for SMTP/POP3/IMAP4. Support max connection control for SMTP/POP3/IMAP4. Included SpamAssassin. Greylisting limits amount of received spam by temporarily blocking emails sent by unkown senders or IP address.

Scheduler
The administrator can schedule tasks to run in a given time or period. (eg: Send mails to the remote server and receive mails from the remote server)

System Log
The system will record the running log, allowing the administrator to control all the information while the mail server is running.

Backup & Restore
System values and mails backup and restore, you can set it to a automate job.

COM object
Provides COM object, in support of ASP or PHP program development.


Installation and initialization setup

Installation and Initialization

Preparation

If you do not have the Winmail Server installation package, download the latest version from http://www.winmail.cn.
If you need to send emails to a specific address through Internet (e.g. test@hotmail.com), please make sure your server is connected to the Internet and that Domain Name System (DNS) directory service is available.
If you need to receive emails from a specific address through Internet, you must own a valid domain name (e.g. ourcompany.com) and have the capability to convert MX records to the IP address of your mail server . If a static IP address is not available, refer to Application Examples for instructions.

Installation

To correctly install Winmail Server, run the setup program for your operating system platform (Windows 2003, or Windows XP).
Double-click the winmail.exe file to run the installation wizard.
Follow prompts in the installation wizard to install the mail server step by step.

Select Components
The first screen of the installation wizard asks you to select the components to be installed. Winmail Server software consists of the server application core and the administration console tool, which supports remote access and can be installed on another computer for administrator convenience. Default selection is both of these components. If you are installing only the administrative tool on a server, uncheck the Winmail Server option.
Click Next to proceed.

Select Additional Tasks
The next setup screen asks you to choose how you want the server to run, what to do with existing files if you are upgrading, and how you want to handle desktop shortcuts.

Server Type
The Winmail server application core can be run in two ways. You can choose to run Winmail Server as a service under Windows 2003, or Windows XP, or as a stand-alone application under all Win32 operating systems. The main difference between these two server modes is the manner in which Winmail Server is initiated.
When Winmail Server is run as a service, the application automatically launches upon computer startup, without a separate system login. When selecting Winmail Server to run as a stand-alone application, you will be required to first login to the system before Winmail Server can launch.
Note: For NT operating systems, select the "service" mode.

Handling Existing Configuration Files
If you are upgrading from a previous version of Winmail Server, check the box to indicate whether you want to keep the current configuration information or to delete current configuration files and start fresh.

Creating Shortcuts
You can choose to have the installation create a desktop icon for Winmail Server, and/or create a quick launch icon in the system tray.

Set Passwords
If the system detects that this is a first time installation, or if you have chosen not to keep configuration files, the setup program will ask you to enter an administrator login password. These are required fields. Default administrator name is admin.

Completing Installation
After finishing the installation of Winmail Server on a Windows 95/98/ME platform, you must restart the system before using Winmail Server for the first time. Under other operating systems, the system does not need to be restarted.
After installation (and reboot, if required), you can begin using Winmail Server.
If you have chosen a quick launch icon, one of the following Winmail Server icons will appear in the system tray.

indicates Winmail Server is successfully running.
indicates a failure in installing and initializing Winmail Server.

If you are having problems completing the installation of Winmail Server successfully, check for the following conditions:

1.Administrative port 6000 is in use. Please refer to the FAQ: Why has the SMTP/POP3/IMAP/ADMIN/HTTP service failed?
2. The same edition of this software has already been installed and its trial period has expired.
3. The license information is incorrect, i.e., number of users exceeds license permission.

Initialization setup

After installation, the administrator must initialize the Winmail Server system. Since no domain settings will be detected yet, Winmail Server will automatically run the Initialize Wizard Tool.
You can also choose to set up Winmail Server with the administration tool.

Initialization using the Initialize Wizard Tool

Every domain requires a valid postmaster mailbox. Enter the postmaster address and password (the same one entered during install action). The wizard will automaticaly check the database to confirm that this address exists. If the mailbox does not exist, the Initialize Wizard Tool ll add the new domain name and mailbox entry into the database and test availability of SMTP/POP3/ADMIN/HTTP service.

Click the Setup button to complete the initialization.

The system generates and displays a report of server initialization and testing in the window titled "Initialize Result" just below the Setup button.

Scroll down to the end of the report to view the setup information for your configuration.

Initialization using the Administration Console

The Administration Console allows you to manage your mail server locally or remotely through an online Web management site. To initialize the system using the Administration Console tool, follow these steps. See the Administration Console section of this manual for more details.

1.Login Administration Console and Check System Services

a.Run Winmail Server Administration Console or double click the [image] icon.

b.Input admin user name and password (set during installation) to login.

c.Choose Services from the System Setup menu.

d.Check the list to make sure that SMTP, POP3, and ADMIN services are all running.

Notes:
If you find that SMTP or POP3 is not running, check system logs in the System Logs->System option. Often a service cannot be started because the intended port is in use. Close related programs in use or change to another port, and then restart the relevant service. (For example, in Windows under the default installation, SMTP service of IIS will be installed, which may cause mail server SMTP service to be unavailable.)

2.Mail Domain Setup

Set up a domain for mail server, e.g. ourcompany.com. Please refer to Domains.

3.Add New User

Please refer to Users.

Mail receiving and sending test

You can test the system using email client software such as Outlook or Eudora, or using webmail. For Webmail access, log on to http://localhost:6080 or http://yourserverip:6080.
Login as one of the users you just added, and send a test email to another of the users you just added.
If you encounter problems, see the FAQ appendix for the description of your problem and possible solutions.

Note: SMTP authentication is unavailable in default before Winmail Mail Server 3.8, but we recommend using SMTP authentication to prevent Spam. Please refer to SMTP Setup. After that,You should set up the SMTP authentication available when adding a new accounts in mail client software.


Administration Console Tool

You can manage your mail server with the Administration Console Tool or through the online Web Manager site. The Administration Console Tool supports all server settings and remote access, while the Web Manager site supports only account and domain names management.
This chapter explains how to use the Administration Console Tool.

Start

Select Start Menu->Programs->Magic Winmail->Magic Winmail Administration Console to start, or select the shortcut icon on your desktop or quick launch bar to start the program. The following screen will appear.Also you can install after downloading administration console package.

Note: If this login window does not appear, click the Connect option on the menu bar.

Usage

1.Choose the type of mail server you wish to manage.
To manage a local mail server, select Local host.
To manage a remote mail server, select Remote host and input the host name or IP address and port number.
2.Enter the administrator user name and password.
3.To display this login window automatically when starting up, click the checkbox.
4.Click OK to login. The Winmail Server Administration Console Tool will display a screen similar to the following.

If you see the message Server has not responded, either the mail server or the administration service is not started.

Administration Console Tool Screens

The left pane displays all of the functions available with Winmail Server. As you select an item in the left pane, the right pane displays the detail and setup options for that item. Buttons at the bottom of the screen provide options for each function.

Note: The version number of the Administration Console Tool should be the same as the mail server, and cannot be a lower version. Select "check latest version" on the Help menu to compare the version you are running with the current version.

The top level menu options in the Winmail Server Administration Tool menu are:
.System Information
.System Setup
.Domain Setting
.User and Group
.System Status
.System Logs
.Help
Each of these top-level menu options and the functions under them is described in this manual.

Why Can't I Connect?

If a "Connection failed" warning is displayed after you try to connect, it could be due to one of the following: Incorrect user name or password. Make sure that these are correct and bear in mind that the password is case sensitive. Make sure the Caps Lock key is not on. The Mail Server Engine is not running on the computer to which you are trying to connect. Run it first (using the Mail Server Control utility or the Services panel under Windows XP/2003).

Web Admin

The URL of web based administration http://localhost:6080/admin/ or http://yourserverip:6080/admin/
Please enter the administrator username and password, Support domain administrator.


System Information

The first option in the left pane of the Administration Console Tool window is System Information. Select this option to view the server system information, including:
.software version number
.operating system information
.remaining memory and disk space
.maximum number of mailboxes supported
.license information
.days remaining in this software license

Note: A super administrator can view information about the operating system and local system, but common domain administrators can only view local system information. See the Administrator option under System Setup for more information.


System Setup

Services
SMTP Setup
Mail Gateway
Scheduler
Advanced Settings
Public Mail Folders
Anti Virus Setup
System Backup


System service

System Services

Each of the various functions for sending and receiving email is managed through a specific service, running on its own system port. The Services option provides a list of the available services and their running status, IP and port information. A super administrator can choose to start, stop, or modify the setup of any of these services.
Select the Services option under System Setup. The following screen will appear.

ADMIN | The Admin service allows management of the mail server through the administration tool. This service cannot be stopped. Winmail Server requires this service to be running or a software failure will occur. Admin service is under SSL encryption.
SMTP | SMTP (Simple Mail Transfer Protocol) service is for sending mail to or receiving mail from other mail servers.
Secure SMTP | Secure SMTP service is under SSL encryption, preventing network listening.
POP3 | POP3 (Post Office Protocol) service allows the local machine to retrieve email from other mailboxes or from servers with client software.
Secure POP3 | Secure POP3 service is under SSL encryption, preventing network listening.
IMAP | IMAP (Internet Message Access Protocol) allows you to process email on the server via the Internet.
Secure IMAP | Secure IMAP service is under SSL encryption, preventing network listening.
HTTP | HTTP (Hypertext Transfer Protocol) service is used for Webmail operation.
Secure HTTP | SSL secured connections. HTTP with secured access
FTP | FTP (File Transfer Protocol) service provides network storage.
Secure FTP | Secure FTP service is under SSL encryption, preventing network listening.
LDAP | LDAP (Lightweight Directory Access Protocol) service allows a distributed directory-type database server to store public addresses, which can be searched by users.

Start Services

.To start a service that is not running, select it from the list of Services and click the Start button.
.If you cannot start the service in this way, check the System Log (from the main screen choose System Logs->System). Usually a start failure is caused by ports in use.
.Please refer to the FAQ Why can't I always start SMTP/POP3/ADMIN/HTTP/IMAP/LDAP services after installation?

Stop Services

To stop a running service, select it from the list of services and click the Stop button.
Note: Stopping the ADMIN service is not allowed.

Service Setup

To set up or modify the parameters for a selected service, highlight the service and double-click, or highlight the service and click the Setup button. One of the following Service Parameter Setup screens will appear.

The Basic Parameters tab of the Service Parameter Setup screen allows the administrator to specify the IP address and port to be used for communication, along with other key information. Default settings are automatically entered during the installation process, and normally do not need to be changed.
To change one of the basic parameters for a service, type in the new value or check/uncheck the appropriate box, and click the OK button.

Bind IP address | Server will receive data only from the specified IP address. To allow receipt of data from all IP addresses, leave this setting at 0.0.0.0.
Port | The port number used by this service program for network listening.
Max clients | Maximum number of systems allowed access to this service at the same time.
Time out | Number of seconds the network connection will wait before timing out.
Auto start service when the system startup | Check this box to automatically restart the service whenever the system is restarted.
Restart the service after setup | Check this box to manually restart the service. Checking this box and clicking the OK button will restart the service immediately.

Access Control

The Access Control tab of the Service Parameter Setup screen allows the administrator to restrict access to the server by certain IP addresses.
Note: The access control options for each server are mutually exclusive. That is, you can choose only one of the options available, and list IP addresses to meet only one set of criteria.

.To add a new IP address to the list, type it into the text box and click the Add button.
.To remove an IP address from the list, select it from the list and click the Delete button.
.Click the OK button when you are finished with all Access Control setup for this service.

Access IP address uncontrolled | Any IP address is allowed to access the service.
Disallow below IP address | Any IP address listed in the following box is not allowed to access the service.
Allow below IP address | Only the IP addresses listed in the following box are allowed to access the service.

Frequency

For all of the ADMIN, SMTP, POP3, and IMAP services, a third parameter setup tab is available to set the frequency. Frequency refers to the number of concurrent connections that can be handled by each IP address.

Max. concurrent connections | Maximum number of concurrent connections allowed through this port.
Max. connections/minute/IP | Maximum number of connections per minute, per IP address.
Unlimited access for the listed IP addresses | Those IP addresses listed will always be allowed access through this port.

.To add an IP address for unlimited access, enter the IP address in the text box and click the Add button.
.To delete an IP address from the unlimited access list, select the address and click the Delete button.

Notes:
1.Do not change SMTP service port. Changing the port number will cause failure when other mail systems are sending mail to server.
2.Present HTTP service does not use the standard 80 port, but instead uses the 6080 port. Be sure to specify the HTTP port when using Webmail. If you need to access a local machine, enter http://localhost:6080/ or http://yourserverip:6080/ in the browser address box. If there is no other HTTP service using port 80 on the server, you can change the HTTP service port for Webmail to 80 and directly connect to http://localhost or http://yourserverip to access Webmail.
3.If one network interface card on the server has two IP addresses (internal and external), set up local IP 0.0.0.0 as the SMTP/POP3/IMAP bind IP address.


SMTP Setup

Basic Parameters

The Basic Parameters tab allows the administrator to determine:
.where bounced email will be sent
.restrictions on number of receivers for a given email, message size, and number of hops
.how long to wait when messages cannot be delivered or require signature
.what to do with certain kinds of exceptions
.whether to use SSL security for your communications

Use the following table for reference while completing the Basic Parameters screen.

Postmaster mailbox | The email address to which all email that cannot be delivered will be sent, or to which failure information will be sent. You may also know the status of such mail in the received mail box.
HELO/EHLO host name | HELO/EHLO host name used during SMTP command communication. If this item is blank, the primary domain name will be used. HELO refers to the stage of the SMTP protocol in which SMTP servers introduce themselves to each other. EHLO is an expanded version of HELO. For more information, see http://www.faqs.org/rfcs/rfc821.html
Max. number of recipients | Maximum number of recipients allowed for each email. This helps guard against outgoing spam.
Max. message size | Maximum email message size, in bytes.
Incoming message size | Maximum email incoming message size, in bytes. Incoming message means that receiveing from other mail server
Outcoming message size | Maximum email outcoming message size, in bytes. Outgoing message means sending to other mail servers
Max. number of hops(Received) | Maximum number of SMTP servers allowed to pass through email server
Max. number of reset (RSET) | Maximum number of RESET commond allowed for each email. This helps guard against outgoing spam.
Delivery retry interval | Amount of time to wait before a failed email delivery will be retried.
Mail's life time in queue | Amount of time that an email can remain in the delivery queue. If it cannot be delivered within this time, no further attempts will be made.
Close open relay | Check this box to ensure that only an authenticated user can send mail to a relay server using this SMTP service.
From address must be a user of local domain | When an authenticated user sends an email, the sender's address must be the email address in the system.
From address and authentication account must be the same | Check this box to require that the sender's email address and authentication account match.
The sender of local domains must authentication | Check this box to require that the sender's in local domain must authenticate
Convert MS-TNEF message into MIME message | MS-TNEF is a special format for Microsoft Outlook that is not recognized by most non-Outlook client software. Check this box to activate automatic conversion of MS-TNEF messages into MIME messages.
Allow starting SSL/TLS communication | Check this box to enable SSL security with Winmail Server communications.
Allow VRFY/EXPN command | Check this box to enable VRFY/EXPN command with Winmail Server communications.

.To apply your changes, click the Apply button.
.To cancel current settings and return the screen to its state after the last "Apply" operation, click the Reset button.

Remote Delivery

The Remote Delivery option of SMTP Setup allows you to establish the parameters for delivering mail to another server.

Note: It is not usually necessary to activate this function for Broadband Internet users. Dial-up users can set a relay server as their local host, which will speed up delivery speed and reduce errors.

Use the following table for reference while completing this screen.

Look up DNS MX records. | Check this box to have the SMTP service check for valid recipient addresses using DNS lookup.
Use SMTP relay server when delivery fails | If DNS lookup has been checked, but delivery fails, check this box to use the SMTP relay server to attempt delivery.
Use SMTP relay server | Check this box to always use the SMTP relay server for delivery.
Relay server address | If you are using an SMTP relay server, enter its IP address.
Relay server port | If you are using an SMTP relay server, enter its port number.
Use SSL | Check this box to use SSL security connection.
Retry attempts after failure | Enter the number of times you want the system to attempt delivery through the relay server, if the first attempt fails.
Retry server require authentication | Check this box to require authentication before attempting a delivery retry.
Address as mail from | The address as mail from when attempting a delivery retry.
User/Password | If you require user authentication before retrying mail delivery through a relay server, enter the user name and password here.
Use SSL/TLS connection when remote server is available | Check this box to ensure that SSL security will be used when accessing the remote server.

.To apply your changes, click the Apply button.
.To cancel current settings and return the screen to its state after the last "Apply" operation, click the Reset button.

If relay server needs authentication, you must select Relay server requires authentication option and enter correct user name and password.

Usually, it is not necessary to activate this function for xDSL users. Dial-up user can set relay server for improving on delivery and reduce errors.

Open Relay Domain

The Open Relay Domain option under SMTP Setup allows the administrator to enter domains known to be reliable. After activating SMTP authentication, mail can be sent to any of these listed domains without authentication.

.To add a domain to the list of trusted relay domains, enter the domain name and click the Add button.
.To remove a domain from this list, select the domain name and click the Delete button.
.To apply your changes, click the Apply button.
.To cancel current settings and return the screen to its state after the last "Apply" operation, click the Reset button.

Trusted Host

Host Without Authenicate: Authentication may not occur when receiving message from the IP address(s) listed above.
Host Without SMTP Filter: SMTP filter may not occur when receiving message from the IP address(s) listed above.

.To add an IP address to the list of trusted IP addresses, enter the IP address in the text box and click the Add button.
.To remove an IP address from this list, select the IP address and click the Delete button.
.To apply your changes, click the Apply button.
.To cancel current settings and return the screen to its state after the last "Apply" operation, click the Reset button.

Domain Directly Delivery

Winmail Server allows you to deliver mail directly to a specific host by specifying a domain name and IP address. One domain name can correspond to several hosts, arranged in sequence depending on network status.
Several email systems can exist in the same network and each system can have a different domain name, but they cannot share DNS settings.
The Direct Domain Delivery option under SMTP Setup allows the administrator to specify direct delivery domains and their priority.

.To add a domain hostname, enter the domain name and the host IP address in the text boxes, and click the Add button. When the remote requires authentication, you must check "Requires authentication" and input the username, password.
.To remove a domain from this list, select the domain name from the box listing all direct delivery domains, and click the Delete button. You can use the Up and Down buttons to scroll through the list.
.To apply your changes, click the Apply button.
.To cancel current settings and return the screen to its state after the last "Apply" operation, click the Reset button.

Use remote delivery rules when direct domain delivery fails: Check this box to have the SMTP service use the remote delivery rules.

Mail Header Replace

You can replace the displayed mail header on outgoing messages. For example, if you wish to use a corporate alias to represent multiple internal addresses, create the alias and determine the circumstances under which it should be used.

Adding an Alias
1. To add an alias, enter the alias name in the "Replace with" text box.
2. Enter the complete email addresses to be replaced by this alias in the "Replaced string" text box.
3. For multiple entries, separate each one with a semi-colon.
4. Check the correct box to use this alias when sending mail to local addresses, or when sending mail to remote addresses (or both).
5. Click the Add button; the new entry will be shown in the top window.
6. Click the Apply button to apply all changes made.

Removing an Alias
1. To remove an alias, select the line in the top window that you want to delete.
2. Click the Delete button.
3. The entry will be removed from the list. "Mail Header Replace" will take no action.
4. Manually erase or modify the entry in the Detail section.
5. Click the Apply button to apply all changes made.
6. To cancel current settings and return the screen to its state after the last "Apply" operation, click the Reset button.

Note:
.If your mail server is used on the Internet, be sure to activate SMTP Authentication. Otherwise, your mail server will become a spam relay server. Review settings on the Basic Parameters and SMTP Filter tabs to require authentication and/or restrict communication. Close open relays, require authentication and DNS lookup, and validate SMTP communication in the SMTP Setup screens.
.If the sending host is included in the Trusted Host list, the Direct Domain Delivery list, is a domain affiliated with the recipient's address in the local domain or domain alias, authentication is not needed.
.If your mail server has been used to send spam, analyze the SMTP logs under System Logs to find suspect host IP addresses, and add them to the SMTP Parameters Access Control list under Services.


Mail Gateway

The Mail Gateway option on the System Setup menu allows the administrator to configure how to receive mail using POP3 and ETRN protocols.

POP3 Download
ETRN Download


POP3 Download

The POP3 download option of Winmail Server retrieves email from specified accounts on other mail servers and distributes them according to the mail gateway settings specified here. Select Mail Gateway and then double-click POP3 Download to display the following screen.

To add a POP3 account, click the Add button at the bottom of the screen. The following dialog box will appear.

Use the following table as a reference for completing this dialog box.

Server | POP3 Server IP address or domain name for receiving mail.
Port | POP3 Server port number for receiving mail. .Click the Default Port button to use the default port number(110).
Enable | Check this box to enable receiving mail on this POP3 account.
Use SSL | Check this box to use SSL security connection.
User | POP3 mailbox account
Password | POP3 mailbox password.
Time Out | Number of seconds the server will wait for delivery before timing out.
Max mail size | Maximum size of email allowed. Enter 0 if there are no size restrictions.
Max mail number | Maximum number of email messages allowed to be downloaded at the same time. Enter 0 if there are no restrictions.
Reserve the backup on the server | Check this box to keep a backup copy of email on the server.
Deliver to | Check this option if you want all email to go to one specific mailbox, and enter the mailbox address to be used.
Deliver by mail header | Check this option to distribute mail directly to the recipient shown in the mail header. The following three options determine how to handle email with an incorrect mail header. .Discard the mail¡¤ Deliver to (specify a default mailbox for all incorrectly addressed email) .Replace mailbox name with user name
Discard the mail | Select this radio button if a message with an incorrect mail header should be discarded.
Deliver to | Select this radio button if a message with an incorrect mail header should be redirected to another mailbox.
Replace the mailbox name with the username | Check this box to replace the name part of an email address (before the '@' ) with the user name. For example, if the mailbox is default@winmail.cn and the user name is 'steven', if this box is checked, the system will act as if the recipient's email address is steven@winmail.cn. This way, more than one person can share one email account.

Note: To successfully use the POP3 download, a task must be set up in the Scheduler that is specifically assigned to retrieving POP3 mail. See System Setup -> Scheduler.

.Click OK to accept the POP3 server settings.
.To modify an existing setting, select the POP3 server from the POP3 Download screen and click the Modify button.
.To delete an existing POP3 setting, select the POP3 server from the POP3 Download screen and click the Delete button.
.Use the Refresh button to update the database and refresh the screen.


ETRN Setup

ETRN Download

ETRN is an extended function of the SMTP server. Use the ETRN option of SMTP to request mail delivery from a specified mail system queue as an alternative to POP3 distribution. Select ETRN Setup from the System Setup -> Mail Gateway menu to display the following screen.

To add an ETRN account, click the Add button at the bottom of the screen. The following dialog box will appear.

Use the following table for reference in completing this dialog box.

Domain | Domain name of the ETRN account.
Enable | Check this box to enable ETRN mail retrieval.
Server | IP number of the ETRN server
Description | User-supplied description for this account.
Time Out | Number of seconds the server will wait for delivery before timing out
Authentication Required | Check this box to ensure authentication of mail service on this server.
User | If authentication is required, enter the authorized username.
Password | If authentication is required, enter the authorized password.

Note: To successfully use ETRN download, a task must be set up in the Scheduler that is specifically assigned to retrieving ETRN mail. See System Setup -> Scheduler.

.Click OK to accept the ETRN server settings.
.To modify an existing setting, select the ETRN server from the ETRN screen and click the Modify button.
.To delete an existing ETRN setting, select the ETRN server from the ETRN screen and click the Delete button.
.Use the Refresh button to update the database and refresh the screen.


Scheduled Task

Scheduler

Use the Scheduler function to set up tasks to be run at regularly scheduled intervals, such as sending mail to external domains, downloading ETRN or POP3 mail, and clearing old email from the server.
Select Scheduler from the System Setup menu. The following screen will appear.

To add a scheduled task, click the Add button at the bottom of the screen. The following dialog box will appear.

Use the following table for reference while completing the fields in the dialog box.

Name | User-defined task name
Enable | Check this box to put this task into action when you click OK.
Scheduled Interval | Choose either a specific date and time to perform this action, or a time interval, for repeated actions. 1)Select a date and time using the pull-down menu options 2)Enter the interval of time between each repetition of the task. 3)Use the Time Span button (see Figure X) to specify start and stop times, and to further refine the days of the week on which the task will be performed. 4)If there is no specific start time or end time for the task, set start time equal to end time. 5)Check the boxes for the days of the week on which you want the task to run.
Actions | Select the action to be performed by this task. Send mail to Internet: Send out all email in queue Download system POP3: Retrieve all enabled POP3 account mail Download ETRN mail: Retrieve all enabled ETRN account mail Download user's POP3: Download mail from the user's outside POP3 webmail account Delete user's mailbox: Clear out of all users' mailboxes on the server any mail older than the specified number of days Deal with unused mailbox: Delete/Disabled user accounts
Parameter Setup | Establish the following parameters for performing specific actions. Only those options available for the selected action will be enabled.
Delete user's mail | Enter the number of days to allow email to remain on the server, or choose from the pull-down menu.
Deal with unused mailbox | Enter the maximum number of days a user account can remain active if the user does not login. If the user does not login within this time frame, the user's account will be deleted.
Auto-dialup if offline | For sending or receiving mail tasks, check this box if you want the system to automatically dial-up to connect, whether there is an Internet connection or not.
Hang up after task is complete | For sending or receiving mail tasks, check this box if you want the system to automatically disconnect from the dial-up.

If you are selecting a time interval for actions, click the 'Time Span...' button. The following dialog box will appear as an aid in setting time intervals and cycles.

If you are selecting some special users for actions, click the 'Action for...' button. The following dialog box will appear as aid in selecting users for actions.

.Click OK to accept the Scheduler settings.
.To modify an existing Scheduler task, select the task from the Scheduler screen and click the Modify button.
.To delete an existing Scheduler task, select the task from the Scheduler screen and click the Delete button.
.Use the Refresh button to update the database and refresh the screen.


Advanced Setting

The Advanced Setting option on the System Setup menu allows you to establish system-wide parameters for the Winmail Server system. Select Advanced Setting and the following screen will appear, showing three types of settings that can be done by the Administrator.


System Options
When you select System Options from the Advanced Setting screen, the following screen will appear, showing the various functions and parameters that can be set for the mail system.

Basic Parameters

The first tab contains fields for specifying basic parameters that apply throughout the Winmail Server application.
Use the following table for reference when filling out the fields on the Basic Parameters screen.

Service banner | User-defined name that can be used as a network flag for each service (SMTP/POP3/IMAP). Sometimes changing this flag can effectively prevent system attacks. If left blank, the service banner will display Winmail Server.
Number of auth failed by IP | The maximum number of times is authentication failed by the same IP address , can effectively prevent an IP to guess the password
Number of auth failed by username | The maximum number of times is authentication failed by a mail user, can effectively prevent guessing the password of a mail user
Number of auth by SMTP service | The maximum number of times is authentication by the same IP address or mail user, can effectively prevent an IP address or a mail user is forwarding spam.
Number of outgoing recipients | The maximum number of times is outgoing recipients by the same IP address or mail user, can effectively prevent an IP address or a mail user is forwarding spam.
History log files | Number of log files to be kept.
Create a new log file when the file size exceeds | Check this box and enter a maximum size for each log file.

Note: Directories for mail storage, mail queue, and mail backup should be different. If you make a change to a mail path, be sure to copy the current target directory structure into the new target directory.

Directory

The screen for specifying directory of Winmail Server application.
Mail store path | Directory in which user mail will be stored.
Mail queue path | Directory in which mail queues will be stored.
Mail backup path | Directory in which mail backup will be stored.
Network store path | Directory in which network file will be stored.
Log file's path | Directory in which log file will be stored.
Disk space soft limit | If the available disk space below the soft limit, a warnning message is displapyed.
Disk space hard limit | If the available disk space below the hard limit, mail server is stoped.

DNS Setup

In most cases, the DNS server will already be established for your network, and you can simply use the default settings. If you need to set up a DNS server, select this option and the following screen will appear.

Use the following table for reference when completing the fields in this dialog box.

Use DNS server in Windows TCP/IP setting | Check this option to use the default DNS server in your Windows TCP/IP network environment.
Use the following DNS server | Specify the IP addresses of the servers to be used as primary and secondary DNS servers.
Lookup MX records from root DNS when DNS lookup fails | Check this box if you want the system to check DNS records on root DNS servers when regular DNS lookup fails.

System Reports

Use the following table for reference when completing this dialog box.

Email for reports Mailbox to which reports of scheduled system actions (clear users and clear mail) will be sent.

System Signature

Use the following table for reference when completing this dialog box.

Signature Content | Users send a e-mail message, attached to the content as signature. When HTML signatures to increase the content directly into HTML code, select the "HTML format."
Attached signature only webmail sending message | If this option is selected, attached the signature content when sending email by webmail; If this option is not selected, attached the signature content when sending email by mail client (Outlook, Thunderbird, etc.) and Webmail (flaws: Some clients will be displayed as the attachment).

FTP Options

FTP is to provide network disk services. Can also use FTP client tool to connect

Use the following table for reference when completing this dialog box.

FTP Data Transfers | FTP connection has two mode: PORT (active mode) and PASV (passive mode). When the FTP connection, the use of "PASV mode" for data transmission, the return to the client's IP address and port. General the IP address is the Internet ip address, and the port opening for the Internet.
Secure FTP Data Transfers | When Secure FTP connection, the use of "PASV mode" transmission of data, returned to the client's IP address and port.

HTTP Options

HTTP is to provide webmail services.

Use the following table for reference when completing this dialog box.

PHP by FastCGI | FastCGI provides a way to improve the performance of the thousands of PHP applications. FastCGI runs applications in processes isolated from the core Web server, which provides greater security than APIs.
Enable PHP cache | The Zend OPcache provides faster PHP execution through opcode caching and optimization. It improves PHP performance by storing precompiled script bytecode in the shared memory.
Max. upload file size | Set the maximum file size to upload by Webmail

LDAP Options

LDAP (Lightweight Directory Access Protocol) is used by email programs to look up contact information on a server. Winmail Server supports LDAP and allows the administrator to restrict access to both creating LDAP entries and searching for them.
Select the LDAP Options tab to display the following screen.

Use the following table for reference when completing this dialog box.

LDAP Write Password | Enter a password to restrict permission for writing information into LDAP.
Allow anonymous access (Read information) | Check this box to allow any client software to search for user information in LDAP without username and password authentication.

ADMIN Options

The configuration is for ADMIN service
Select the ADMIN Options tab to display the following screen.


System parameters

Webmail Setup
When you select Webmail Setup from the Advanced Setting screen, the following screen will appear, showing settings that can be set for the webmail.

Index Page

Use the following table for reference when completing this dialog box.

Display a domain textbox instead of a domain dropdown list | Check this box to prevent the domain list from being displayed in the login box.
Allow web-based server administration | Check this box to enable Winmail server administration via the web.
Display the web-based administration link | Check this box to allow the web administration link to appear as a link on the Webmail login page.
Display the getting password link | Check this box to allow the getting password link to appear as a link on the Webmail login page.
Webmail allows automatically login | Check this box to allow user automatically login when access webmail.
Webmail session cookie | Check this box to allow the session cookie when login webmail.
Webmail IP check | Check this box to allow the checking the client IP when logined.
Language | Set whether to allow the language selection and default language.
Theme | Set whether to allow the theme selection and default language.
Password error | Enter the amount of retries when password error and prohibition time.

Main Page

Use the following table for reference when completing this dialog box.

Default page after login | Set the first page displayed after login
Session timeout | Set the wait time for Webmail not to operate after logging in.
Bulletin board folder | Setup the bulletin board folder. You must setup the mailbox at Public Mailbox
Show attached images when reading message | When reading a message, the attachment is an image file that is displayed directly after the message content.
Default editor | Set the default editor when compose message
Cloud attachments | Mail user must have network disk permissions. When the email is sent more than the limited size, it will be automatically sent using the shared link.
Autosave | Enter the time interval between automatic saving of new mail messages being created. The saved copies will be save to [Draft].
Save sent message to [Sent] | Check this box to allow to saving the sent messages to [Sent]
Request a read receipt | Check this box to enabled read receipt feature
Spell check | Check this box to allow spell check function.

Register

Use the following table for reference when completing this dialog box.

Mailbox length | Set the minimum length of mailbox user name.
Password length | Set the minimum length of password.
Password strength | Set the minimum strength of password.
Verified code | Check this box to display verified code .
Required field | Check this box to enable this field is required

Weak Passwords

Manage the weak passwords's dictionary

Weak Passwords

Set whether to enable two-step verification, and the scenarios and methods that require two-step verification


Mail Template
When you select Mail Template from the Advanced Setting screen, the following screen will appear, showing the mail template of the mail system.

Congratulation Mail | After a new account is created, an email will be sent to new mailbox congratulating them and welcoming them to the email system.
Quota Warning Mail | When mailbox capacity is exceeded, the user receives an email warning.
Error Bounce Mail | When delivery has failed, the user receives an email message.
Virus Warning Mail | When the system detects that incoming mail has been infected by a virus, the user receives a warning email
Mail Signature Notify | When mail needs to be signed, the administrator will be notified.
Mail Signature Reject | When administrator refuses to sign an email, the sender receives an email message.
Filter Warning Mail | When the message has been filter, the send receives an email message.


System parameters

System Broadcast
When you select System Broadcast from the Advanced Settings screen, the following screen will appear, you cand send message to all users or designated under the domain users.

Use the following table for reference when completing this dialog box.

Send to | Choose to send to all users or designated under the domain users.
Subject | The subject of broadcast message
Content | The content of broadcast message. If it is HTML message directly into HTML code, and then select the "HTML format" selection box.


Mail Monitoring

The Mail Monitoring option allows the administrator to specify mailboxes to be monitored, and to specify another mailbox to receive copies of either outgoing or incoming email for that mailbox. Select Mail Monitoring from the Advanced Settings menu. The following screen will appear.

To add monitoring rules for one or more mailboxes, click the Add button at the bottom of the screen. The following dialog box will appear.

Use the following table for reference while completing this dialog box.

Local mail | Refers to the internal mailbox to send message each other.
External mail | Refers to sent message to the external mailbox or receive message from the external mailbox.
Monitor rule name | User-defined name to identify this set of monitoring parameters.
Input mailbox | Text box for typing in the mailbox address. To monitor all mailboxes in a domain, enter *@domain
Select mailbox | List of all mailboxes capable of being monitored under Winmail Server. To select a mailbox, highlight it and click the Add -> button pointing to one of the following three boxes.
Monitored mailbox | This box lists all mailboxes whose mail is being monitored. You can either type in a mailbox address or choose from the list of mailboxes shown, then click the Add -> button pointing to "Monitored mailbox."
Monitor for outgoing mail | This box lists all mailboxes that will receive a copy of mail being sent from a monitored mailbox.
Monitor for incoming mail | This box lists all mailboxes that will receive a copy of mail being received by a monitored mailbox.

Note: If either the Manager of sending mail or Manager of receiving mail mailbox address is incorrect, the Monitored mailbox will receive a notification of failure to deliver.

.Click OK to accept the Mail Monitoring settings.
.To modify an existing set of monitoring parameters, select the Monitor name from the Mail Monitoring screen and click the Modify button.
.To delete an existing set of monitoring parameters, select the Monitor name from the Main Monitoring screen and click the Delete button.
.Use the Refresh button to update the database and refresh the screen.


Mail Signing

Mail Signature

The Mail Signing option allows the administrator to specify whether a user's email must be signed by a manager before sending. Select the Mail Signing option under Advanced Settings. The following screen will appear.

To add mail signing rules for one or more mailboxes, click the Add button at the bottom of the screen. The following dialog box will appear.

Use the following table for reference while completing the dialog box.

Signature rule name | User-defined name to identify this set of mail signature parameters.
Input mailbox | Text box for typing in the mailbox address. To require signatures on all mailboxes in a domain, enter *@domain
Select mailbox | List of all mailboxes known to Winmail Server. To select a mailbox, highlight it and click the Add -> button pointing to one of the following three boxes.
Signature required mailbox | This box lists all mailboxes whose mail requires administrator signature before it can be sent. You can either type in a mailbox address or choose from the list of mailboxes shown, then click the Add -> button pointing to "Monitored mailbox."
External domain signature manager | This box lists the mailboxes of administrators who are required to sign all mail being sent to external domains.
Local domain signature manager | This box lists the mailboxes of administrators who are required to sign all mail being sent to a local domain.

.Click OK to accept the Mail Signing settings.
.To modify an existing set of mail signature parameters, select the Signature rule name from the Mail Signing screen and click the Modify button.
.To delete an existing set of mail signature parameters, select the Signature rule name from the Mail Signing screen and click the Delete button.
.Use the Refresh button to update the database and refresh the screen.


Internet Setting

Internet Settings

The Internet Setting option on the main menu allows the administrator to configure how the mail server interacts with the Internet. The Internet Setting screen allows the administrator to specify Internet Settings and Proxy Settings.

Internet Settings

Use the following table for reference while completing this screen.

Online | Select the Online mode if your server is continuously connected to the Internet.
Offline | Select the Offline mode to schedule your Internet access.
When you select "Offline," the following options will become available.
Use RAS to connect internet | Check this box to connect via scheduler dial-up.
RAS line | Dial-up settings of network and server operating systems
Retry times | Number of retries allowed when access fails.
Use previous system user name and password | Use the user name and password stored as dial-up access settings.
User name and Password | Enter the required dial-up access user name and password.

.To apply your changes, click the Apply button.
.To cancel current settings and return the screen to its state after the last "Apply" operation, click the Reset button.

Proxy Settings

If you are using a proxy server, configure these settings to ensure that the proxy server will be used to connect to the Internet.

Use the following table for reference while completing this screen.

Use socks proxy | Check this box if you use the socks proxy protocol.
Proxy type | Select the type of socks proxy in use.
Proxy host | Enter the domain name or IP address of the proxy host server.
Username | Enter the user name by which you will access the proxy server.
Password | Enter the password by which you will access the proxy server.
Test Proxy | Click this button to send a test message to the proxy server.


SSL Certificate

SSL (Secure Sockets Layer) certificates are digital documents developed to provide a higher level of security when transmitting messages or documents via the Internet. The certificates use public and private encrypted keys to verify that the sender of a message really is the entity it claims to be. Internet browsers and many Web sites use the SSL protocol to obtain confidential user information.
Certificates are issued by certifying authorities (CAs), and contain specific information about the issuing authority, so that those receiving certificates can be confident that they are from a trusted source.
When used for email authentication, certificates are associated with digitally signed messages. Through verification of the public and private keys in the certificate, the receiver can be confident that the sender is not using a fraudulent identity, and the sender can be sure that only the intended receiver actually accesses the message. In addition, the receiver knows that the message has not been modified since it was sent.
To obtain a certificate, you must first create a certificate request, which is sent (with appropriate identifying information) to a certifying authority. Once they have verified that you are who you say you are, they issue you a certificate containing the public key information that matches the private key (which only you know).
Winmail Server uses SSL communication protocols to protect all communications between Winmail Server and client systems. Winmail Server provides a public key that can be used with the client's private key, as authorized and verified by the third party CA, to ensure secure communication. When another server attempts to connect with the Winmail Server, the SSL certificate will verify that the sender is an Internet address to be trusted, and will allow you to either proceed with the connection or terminate it.
To manage the use of certificates, select SSL Certificate from the System Setup menu. The following screen will appear.

You can perform any of the following functions with regard to SSL Certificates:

New
Create a Certificate Request
To create a request for a certificate, click the New button.
Select New request... and the following dialog box will appear

Note: The host name in the certificate must match the actual server name and host name in client software settings.

.Enter the requested information. Choose the country from the pull-down menu.
.Click OK when finished.
.The certificate request will appear in the certificate listing, as a request.

Create a Self-Issued Certificate
Follow the same procedure used for creating a certificate request, but select "New certificate..." instead of "New request..."
The dialog box will require identical information.

View
Click the View button to view the information about a request or a self-issued certificate. Choose from one of the following options:
View Details to review the parameters and information provided for the certificate request.

.View Request to display the encrypted public key sent as part of the certificate request.
.View Certificate to display the encrypted public key being used as part of the self-issued certificate.

Import
Select the Import button to import one of the following two types of certificates:

.A new certificate and its corresponding private keys, to be imported from a local machine into the certificate management database
.A certificate signed by a third party CA

Certificates are stored in subdirectory CERTS of the installation directory. The following file extensions are used to identify the different types of files:

.files with .crt extensions are certificates
.files with .csr extensions are certificate requests
.files with .key extensions are private keys

Export
You may want to export the certificate being used by the Winmail server to each client system. After the client imports the certificate to their local machine, the certificate will allow communication with the Winmail Server to be considered as trusted communication, with no need for verification and warnings.
Select the Export button to export one of the following three types of files:

.An existing certificate (.crt file)
.A certificate request (.csr file)
.A private key (.key file)

Remove

To remove a certificate or certificate request, and its corresponding private key, select the item in the certificate list and click the Remove button.

Note: The deletion will occur instantly as soon as the Remove button is selected; no confirmation message appears first.

Activate

To specify a certificate for use in SSL communication with the Winmail Server, select the certificate and click the Activate button.
The status of the selected certificate will change from Inactive to Active, and the previously active certificate will change to Inactive.

Refresh

Click the Refresh button to update the database and refresh the screen with the current list of certificates and certificate requests on the Winmail Server.


IP Location

Set the location to the IP address. For the incorrectly marked IP address in the location database, you can set the correct loction to correct it.

IP Location

1.Add

To add a new location, click the Add button at the bottom of the screen. The following dialog box will appear.

Order NO | The priority of query
Start IP | The starting IP of IP address segment for adjustment.
End IP | The ending IP of IP address segment for adjustment.
Location | The location of IP address segment

.Click OK to accept the settings.
.To modify an locaion setting, select the item from the IP Location screen and click the Modify button.
.To delete an existing location setting, select the item from the IP Location screen and click the Delete button.
.Use the Refresh button to update the database and refresh the screen.


Public Mail Folders

Mailboxes in the Winmail Server system can be designated as private, requiring user validation before accessing information, or public, accessible by any user from any location on the network. The IMAP Public Mailbox option allows users to access the same public mail folder, stored on the IMAP server, to be able to share mail among users.
Select the IMAP Public Mailbox option from the System Setup menu. The following screen will appear.

To add a mailbox to the list of IMAP public mailboxes, click the Add button at the bottom of the screen. The following dialog box will appear.

Use the following table for reference while completing this dialog box.

Public mailbox name | The mailbox name identified in the IMAP client software. Winmail Server automatically adds the prefix @ to indicate that it is not a user mailbox.
Mailbox quota | Maximum storage capacity of the public mailbox.
Max. number of messages | Maximum number of email messages that can be received and stored in the public mailbox.

Click the Next button when finished. A second dialog box will appear.

Use the following table for reference while completing this dialog box.

Input account | Text box for typing in the mailbox address or addresses that have access to the IMAP Public Folder. To allow access by all mailboxes in a domain, enter @domain
Select account | List of all mailboxes known to Winmail Server. To select a mailbox, highlight it and click the Add -> button pointing to one of the following three boxes.
Read only | This box lists all mailboxes whose users have read-only permission when accessing files in the IMAP Public Folder. You can either type in a mailbox address or choose from the list of mailboxes shown, then click the Add -> button pointing to "Read only."
Read/write | This box lists all mailboxes whose users have both read and write permission when accessing files in the IMAP Public Folder. You can either type in a mailbox address or choose from the list of mailboxes shown, then click the Add -> button pointing to "Read/write."
Read/Write/Delete | This box lists all mailboxes whose users have permission to read, write, or delete files when accessing files in the IMAP Public Folder. You can either type in a mailbox address or choose from the list of mailboxes shown, then click the Add -> button pointing to "Read/Write/Delete."

.Click the Finish button when you have set up all the parameters and permissions for the IMAP Public Folder.
.To change parameters or permissions for a public folder, select the folder name from the list in the IMAP Public Folder screen, and click the Modify button. The screens for parameters and permissions will be shown as two tabs. Select each tab and edit the information needed.

Note: Once you have set up the name of the public mailbox, you cannot change that name.

.To delete a public folder, select the folder name from the list in the IMAP Public Folder screen, and click the Delete button.

Note: All mail currently held in the public folder will be deleted when you delete the public folder.


Anti Virus Setup

Winmail Server software can integrate with anti-virus software already installed in the operating system to scan, isolate, and/or eliminate infected email, both incoming and outgoing.
Select Anti Virus Setup from the System Setup menu. The Anti Virus Setup screen contains three tabs, allowing the administrator to specify the type of anti virus software to use, what kinds of email attachments to include, and what kind of notification message to send.

Anti-Virus Engine

The first tab, Anti-Virus Engine, appears by default, as shown.

Use the following table for reference while completing this screen.

Enable scanning email for viruses | Check this box to enable a command line program, built-in API, or anti-virus firewall to operate with Winmail Server. Then select from the three options the type of anti-virus product being used on this operating system: command line executable program API firewall or other real-time program
Use anti-virus command line program | Choose this radio button if you are using a command-line executable program to run anti-virus software.
Anti-virus product name | Enter the name of the anti-virus software, or choose from the pull-down menu of Available Anti-Virus Engine software programs.
Execute program path | Enter the path to the executable (.exe) program for your anti-virus software.
Command lines | Fill in the parameters for running the executable (.exe) program. Note that two of the default parameters must be replaced by actual values from your system.
Scanning confirmation message | Displays the message that will appear in the anti-virus scanning report: If virus is found in file If no virus is found in file
Use anti-virus API | Choose this radio button if you are using an anti-virus API.
Anti-virus product name | Choose the anti-virus API from the pull-down menu of Available Anti-Virus Engine API software.
Use anti-virus watcher | Choose this radio button if you are using an anti-virus firewall or other real-time virus watcher.
Send testing mail | Send a harmless virus sample, based on international standards, to test your anti-virus product. If settings are OK, postmaster will receive a warning email. You can download this sample at http://www.eicar.org/anti_virus_test_file.htm

Notes:
.Before doing a virus scan, be sure to shut down anti-virus firewall or real-time monitoring service.
.Do not install multiple anti-virus products, as this may cause unexpected results.
.Configure virus software to automatically clean infected files if you are not using notification when viruses are found.

Anti-Virus Attachment Filter

To filter email attachments, as well as email messages themselves, select the Attachment Filter tab. The following screen will appear.

.Check the box for "Enable mail attachment filter" to turn on the attachment filtering capability.
.Check the box for each type of attachment that you want to include in anti-virus scanning.

Adding Attachment Filters

.To add a new attachment filter type, click the Add button at the bottom of the screen. The following dialog box will appear.

Enter information from the pull-down menus to specify the attachment filter to be added.
.Check the Enable box to allow this attachment filter to operate.
.Click the OK button to add this filter to the list.

Modifying Attachment Filters

.To modify an attachment filter, select the attachment type from the list and click the Modify button.
.The dialog box for adding attachment filters will appear, with the information for the selected filter filled in.
.Change the information desired, and click OK.
.The modified information will appear in the main list of attachment filters.

Deleting Attachment Filters

To delete an attachment filter, select the attachment type from the list and click the Delete button. A confirmation message will appear. Click Yes to proceed with deleting this attachment type from the list of attachment filters.

Anti-Virus Action

Select the third tab, Anti-Virus Action, to specify how to handle anti-virus messages. The following screen will appear.

Check the box for the type of notification you would like to use, when a virus is detected.

Bounce warning message to sender | Send a warning message back to the sender, when an email message or attachment contains a virus.
Send warning message to postmaster | Send a warning message to the system bounce mailbox when an email message or attachment contains a virus.
Send notification to receiver | Send a notification to the recipient, when an email message or attachment contains a virus.

Note: If you choose to send notification to the receiver, performance may be affected in cases of multiple receivers.


System Backup

Winmail Server provides options to back up and restore either email files or system configuration and data files independently. You can also set up real time backup of all incoming and outgoing email. To set up the backup capabilities, select System Backup from the System Setup menu. The following screen will appear, showing two tabs for the different backup options: Mail backup and Data backup

Mail Backup

Use the following table for reference while completing this screen.

Active archiving | Check this box to enable email archiving in real time.
Backup | Check the appropriate box to back up either, or both: 1)Local mails - local sender, local recipient 2)Incoming mails - remote sender, local recipient 3)Outgoing mails - local sender, remote recipient 4)Relayed mails - remote sender, remote recipient
Options | Select a radio button to backup email to either: 1)a mailbox address (specify one each for local and remote email backups) 2)a file folder

Data Backup

Select the second tab under System Backup to back up and restore system files. The following screen will appear.

Use the following table for reference while completing this screen.

Backup | Select the appropriate radio button to back up: 1) System configuration and data files only 2) System configuration, data files, and stored email (this function will take a longer time and may affect system performance)
Backup file name | Specify in the text box a folder name that includes a date identifier. Select a format from the pull-down menu of date placeholders. The file name can be created from the following values, using the selected format: 1) %Y = year 2) %m = month number (01-12) 3) %b = month (name) 4) %d = day of the month (01-31) 5) %w = day of the week (number, 0-6) 6) %W = week of the year (00-53)
Backup file list | List of all existing backup archives.
Backup/Restore/Delete Operations | Three buttons show the available operations: 1) Backup - perform a backup on the specified files in real time 2) Restore - restore the selected backup archive 3) Delete - delete the selected backup archive
Auto backup frequency | Check this box to run automatic backups on a regular basis.Specify the frequency using the text box and pull-down menu.
Auto backup | Automatic backup according to the selected frequency.

Note: When performing real-time backup or restore, make sure that SMTP, POP3, IMAP and HTTP services have all been stopped.


Anti-Spam

The Anti-Spam option on the System Setup menu allows you to establish anti-spam parameters for the Winmail Server system. Select Advanced Setting and the following screen will appear, showing three types of settings that can be done by the Administrator.


SMTP Filter

The second tab under SMTP Setup allows you to set the filtering criteria for SMTP messages.

Use the following table for reference while completing this screen.

Allow MAIL FROM command with a null mail address (MAIL FROM: <>) | Check this box to have the SMTP service allow MAIL FROM command with a null mail address (MAIL FROM: <>)
Check mail address and disable invalid addresses when using SMTP | Check this box to have the SMTP service check for valid delivery addresses and disable any invalid email addresses.
Look up the recipient's address when sending mail to this server | Check this box to have the SMTP service check for valid recipient addresses when messages are being sent to this server.
Check the domain of sender's address by DNS query | Check this box to have the SMTP service check the validity of the sender's address using a query to DNS
Connect the sender's mail server checks the sender's address | Check this box to have the SMTP service connects the sender's mail server and than checks the sender's address
Check A or MX of the HELO/EHLO hostname | Check the A record or MX record of the HELO/EHLO Hostname to see if it matches the IP addressUse the Class pull-down menu to select the class of the IP address to be matched. For example: .Class A - Compare first portion of IP address. 119.119.119.119 and 119.51.127.156 match. .Class B - Compare to second portion of IP address. 119.119.119.119 and 119.119.127.156 match. .Class C - Compare to third portion of IP address. 119.119.119.119 and 119.119.119.156 match. .Class D - Compare to fourth portion of IP address. 119.119.119.119 and 119.119.119.119 match.
Reject the HELO/EHLO hostname that is listed in "HELO/EHLO filter" | Check this box to reject email requests from the HELO/EHLO host(s) listed on the HELO/EHLO Filter tab.
Enable SPF(Sender Policy Framework) check | Check this box to enable SPF check. http://www.openspf.org/
Check MAIL FROM matches the address of FROM field in message header | Check this box to check MAIL FROM matches the address of FROM field in message header.
Check RCPT TO matches the address of TO/CC/Delivered-To/Received fields in message header | Check this box to check RCPT TO matches the address of TO/CC/Delivered-To/Received fields in message header.
Enable trap mailbox | Check this box to enable trap mailbox. When some spam tools send a message to this mailbox, so that shielded the ip address for a while
Dealing with spam | SMTP receive mail filtering to the above action, if judged as spam, this message to the following actons: 1. Rejected - SMTP communication process, the direct return of error. 2. Sent the message to mailbox - all the spam sent to the designated-mail. 3. Prepend the mesage's subject with a string - the subject of spam increased [SPAM] string, continue to transmit to the recipient.

.To apply your changes, click the Apply button.
.To cancel current settings and return the screen to its state after the last "Apply" operation, click the Reset button.


Bad/Good List

Mail From Filter

The Mail From Filter under SMTP Setup allows the administrator to enter domains to be restricted. If you prefer to filter by IP address, use the Access Control tab under Service Parameter Setup (Services option).

Note: To determine the actual addresses to be listed in each box, analyze addresses from the System Log/SMTP. Do not automatically include addresses in mail headers, because the sender's address in the header may differ from the actual origin of the message.

Bad Mail From | .To create a list of domains from which you do not want Winmail Server to accept requests to send mail, enter the domain name in the text box and click the Add button. .To remove a domain from this list, select it and click the Delete button. .You can also filter by IP address, using the Access Control sub-option under the SMTP and Secure SMTP Service setup options.
Good Mail From | .To create a list of domains from which you know Winmail Server can accept requests to send mail, enter the domain name in the text box and click the Add button. .To remove a domain from this list, select it and click the Delete button. .You can also specify an IP address as a "trusted" sender using the Trusted Host sub-option.

.To apply your changes, click the Apply button.
.To cancel current settings and return the screen to its state after the last "Apply" operation, click the Reset button.

Rcpt To Filter

To reduce the amount of spam going through the server, the administrator can filter invalid user addresses on the local system from SMTP delivery. The Rcpt To Filter screen looks and functions in the same way as the Mail From Filter screen.

Bad Rcpt To | .To create a list of domains for which you want Winmail Server to block delivery requests, enter the domain name in the text box and click the Add button. .To remove a domain from this list, select it and click the Delete button.
Good Rcpt To | .To create a list of domains for which you want Winmail Server to accept delivery requests, enter the domain name in the text box and click the Add button. .To remove a domain from this list, select it and click the Delete button.

.To apply your changes, click the Apply button.
.To cancel current settings and return the screen to its state after the last "Apply" operation, click the Reset button.

Trusted Host

Host Without Authenicate: Authentication may not occur when receiving message from the IP address(s) listed above.
Host Without SMTP Filter: SMTP filter may not occur when receiving message from the IP address(s) listed above.

.To add an IP address to the list of trusted IP addresses, enter the IP address in the text box and click the Add button.
.To remove an IP address from this list, select the IP address and click the Delete button.
.To apply your changes, click the Apply button.
.To cancel current settings and return the screen to its state after the last "Apply" operation, click the Reset button.

HELO/PTR Filter

Generally, the HELO/EHLO hostname is your host name and will be converted into the host IP of mail server. If you have checked the box under the SMTP Filter tab that specifies you want to reject HELO/EHLO requests, the SMTP service will filter out and reject messages from the hostnames specified on this HELO/EHLO Filter tab.

.To add a domain to the list of HELO/EHLO domains to be filtered out, enter the domain name and click the Add button. Requests for mail delivery from these domains will not be accepted.
.To remove a domain from this list, select the domain name and click the Delete button.
.To apply your changes, click the Apply button.
.To cancel current settings and return the screen to its state after the last "Apply" operation, click the Reset button.


RBL/RWL Setup

The RBL (Real-time Blackhole List) Setup tab allows the administrator to use filters from various organizations to block the proliferation of spam. These lists contain IP addresses of servers that are known to be relay points for, or to have customers who are responsible for generating spam. The RBL filters check connecting IP addresses during SMTP connection and refuse connection to addresses on the lists.

.To enable the use of RBL filters, check the "Using RBL filter" box.
.To add the name of an RBL server domain, enter the domain name in the text box and click the Add button. Some organizations may already be listed by default.
.To delete an RBL server domain name, select it from the list and click the Delete button.
.Click the Apply button to apply any changes.


Greylisting


Mail Filter

The administrator can set up filters to apply to email during delivery. Select the Mail Filter option from the Winmail Server main menu. The following screen will appear.

To create a new mail filter, click the Add button at the bottom of the screen. The following dialog box will appear.

Use the following table for reference when creating mail filtering rules. Click OK to accept each filter and continue.

Filter name | Each filter name must be unique.
Keyword | Choose a filtered field keyword from the pull-down menu. Options include From, To, CC, Subject, Received, Mail Header, and Body. Received is a field tagged by mail servers as the message passes through..
Matching | Choose the filtering criteria from the pull-down menu. Options include: (1) empty:field contains no data (2) missing:field is missing (3) contain (match case):field contains the specified string (case-sensitive) (4) contain (not match case):field contains the specified string (not case-sensitive) (5) not contain (match case):field does not contain the specified string (case-sensitive) (6) not contain (not match case):field does not contain the specified string (not case-sensitive) (7) equal (match case):field content is identical to the specified string (case-sensitive) (8) equal (not match case):field content is identical to the specified string (not case-sensitive) (9) not equal (match case):field content is not identical to the specified string (case-sensitive) (10) not equal (not match case:field content is not identical to the specified string (not case-sensitive)
Filter content | Enter the content string you want to filter for. You can use wild cards as placeholders. For example, to filter the string test (sex) test, you can input the expression *{*}*.
Enable | Check this box to begin using this filter.
Action | Select the action to be taken when an email keyword matches the criteria and content specified. .Discard the message .Send a bounce mail to sender .Still deliver to the receiver .Save to quarantine .Deliver to: .Else continue next

.To modify a filter, select it from the list of mail filters and click the Modify button. Edit the desired information and click OK to accept the changes and proceed.
.To delete a filter, select it from the list of mail filters and click the Delete button.
.To update the database and refresh the user interface, click the Refresh button.

Note: If you intend to use mail monitoring in addition to mail filtering, the filtered email must be set up as Still deliver to the receiver.


Embed Image Filter

Converting the image to the text file by OCR. If the text file contains the specified keyword, the message will be marked as spam


Online Spam Library

During the service period, customers can download the latest spam library from the Winmail official website.


Quarantines

The administrator can view the suspicious messages, and setup the reserver days.

To setup the quarantine options, click the Setup button at the bottom of the screen. The following dialog box will appear.

Use the following table for reference when setup. Click OK to accept each filter and continue.

Send notification to receiver | When there is suspicious mail in the quarantine area, the mail system will automatically send a notification e-mail to the recipient
Reserver | This option is to indicate how many days a suspicious message will be saved on the server
Webmail URL | Access Webmail URL, when set it, the recipient can click on the link to retrieve the suspicious message.


Domain Setting

During the installation process, a primary domain was set up, in order to test the system. Winmail Server offers many additional options for setting up primary and secondary domains and domain aliases. To add, view, modify, or delete a domain, select Domain Setting from the main menu. The following screen will appear.


Domain

Domains

Double-click on Domains to add, modify, or delete a domain. The following screen will appear.

To add a domain, click the Add button at the bottom of the screen. The following dialog box will appear.

Basic Parameters
Use the following table for reference while completing this dialog box.

Domain name | Local domain name.
Description | User-defined description of local domain.
Type Enter either primary or common domain.
Mailbox addresses in the primary domain require only the username when configuring POP3 settings in Outlook or OE. In common domains, the complete address is required.
Total storage of mailboxes | Total storage capacity of all mailboxes.
Total number of mailboxes | Total number of mailboxes supported on the domain.
Minimum quota per mailbox | Minimum storage quota of each mailbox.
Total storage of netstore | Total storage capacity of all mailbox's network storage.
Mailbox password encryption | The password encryption for new mailbox
Automatically add new users to group "everyone" in this domain | Check this box to have the Winmail Server automatically add new users to the "everyone" group.
Automatically add personal info to public contacts in this domain | Check this box to have Winmail Server automatically add personal information to the public address book.
User decides whether to add personal info to public contacts | Check this box to allow the user to choose whether or not to add personal information to the public address book.
User decides whether to add personal info to public contacts | Check this box to notify each user to decide whether or not to add personal info to public address book.
Public contacts only allow the domain's user to access | Check this box to notify only allow the domain's user to access public contacts.

Advanced Properties
Select the Properties tab in the Add Domain dialog box to establish default settings for the domain.

Use the following table for reference while completing this dialog box.

NT authentication domain | If you are using the NT operating system, you can enter the NT login domain to use your login username and password for email authentication.
Domain administrator mail | Local domain administrator email address.
Mailbox not in the domain | When an intended email address is not in the local domain, specify how to handle it using one of the following options.
Direct login URL | URL for directly logging on to the local domain.
Direct login IP | IP for directly logging on to the local domain.
Register mailbox by webmail | Allow registration of new accounts through webmail.
Mailbox activation requires administrator approval | Activation of new account must be approved by administrator.
Send new account notification to the domain administrator | Domain administrator will be alerted by email when a new account is registered.
Send bounced mail message | When email address is not in the local domain, the administrator will receive a bounced email message
Deliver to | Deliver to When email address is not in the local domain, deliver the message to a specified mailbox address in the current domain.
Send mail to Internet | When email address is not in the local domain, deliver the message to a specified Internet address.

Default Mailbox Qutoa

Select the Extended Properties tab in the Add Domain dialog box to establish settings for POP3 mail retrieval and other advanced settings.

Use the following table for reference while completing this dialog box.

Quota of mailbox | Default quota of maibox for new mailbox under the domain.
Number of messages | Default number of messages for new mailbox under the domain
Warning limit | Default quota warning for new mailbox under the domain
Mailbox path | Default mailbox storage path for new mailbox under the domain
Quota of network disk | Default quota of network disk for new mailbox under the domain.
Number of files | Default number of files for new mailbox under the domain.
Network disk path | Default network disk storage path for new mailbox under the domain

Default Mailbox Right

Expiry date | The expiry date when adding new mailbox in the domain.
Disable POP3 | Disabled/Enable SMTP when adding new mailbox in the domain.
Disable POP3 | Disabled/Enable POP3 when adding new mailbox in the domain.
Disable IMAP | Disabled/Enable IMAP when adding new mailbox in the domain.
Disable webmail | Disabled/Enable webmai when adding new mailbox in the domain.
Disable modify userinfo | Disabled/Enable modiy user infomation when adding new mailbox in the domain.
Disable external POP3 | Disabled/Enable external POP3 when adding new mailbox in the domain.
Disable auto forward | Disabled/Enable auto forward when adding new mailbox in the domain.
Disable auto reply | Disabled/Enable auto replywhen adding new mailbox in the domain.
Disable remove mails | Disabled/Enable remove mails when adding new mailbox in the domain.
Disable public contacts | Disabled/Enable access public contacts when adding new mailbox in the domain.
Disable netstore | Disabled/Enable netstore when adding new mailbox in the domain.
Disable calendar | Disabled/Enable calendar when adding new mailbox in the domain.
Disable notebook | Disabled/Enable notebook when adding new mailbox in the domain.
Disable SMS notification | Disabled/Enable mobile short message notification when received new message.
Disable Send SMS | Disabled/Enable send mobile short message on webmail.

Default Mailbox Send/Recv

Sending | Set the following options: "Deny sending mail to other of this domain", "Deny sending mail to other domain in the system", "Deny sending mail to remote domain "
Receiving | Set the following options: "Deny receiving mail from other of this domain", "Deny receiving mail from other domain in the system", "Deny receiving mail from remote domain"

Default Flow Control

Sending Limited | Setting the maxinum bytes of messages and number of recipients an hour
Local delivery limited | Setting limitions of send message to local users or local groups
Remote delivery limited | Setting limitions of send message to remote users

Signature

Content Under the domain user to send a e-mail message, attached to the content as signature. When HTML signatures, the content directly into HTML code, select the "HTML format"

Mailbox Settings

Max. signatures | Maximum number of signatures allowed.
Max. personal contacts | Maximum number of personal contacts allowed.
Max. external POP3 accounts | Maximum number of external POP3 accounts allowed.
Max. number of POP3 messages | Maximum number of mail messages that can be received by each POP3 account.
Max. POP3 message size | Maximum size of each mail message received via POP3.
Max. mail filter rules | Maximum number of mail filters that can be applied

.Click OK to accept the domain settings.
.To modify an existing domain setting, select the domain from the Domains screen and click the Modify button.
.To delete an existing domain setting, select the domain from the Domains screen and click the Delete button.
.Use the Refresh button to update the database and refresh the screen.

Notes:
.For primary domain users, you only need to input username when configuring settings of POP3 account in Outlook. Common domain users must input complete email address.
.The primary domain cannot be deleted but can be renamed.
.Common domains can be deleted but cannot be renamed.
.All email accounts, user aliases and group records must be deleted before you delete the domain to which the email accounts belong.

If you are not the users of main domain, do not forget to set the POP3 with full address in Eudora, Outlook or other mail client software. For example, the POP3 account must to be set as test@abc.com (Note: abc.com is not the main domain and test is a user name)


Domain Aliases

Winmail Server allows the administrator to establish aliases for one or more domain names. To use this functionality, select Domain Aliases from the Domain Setting option. The following screen will appear.

To add a domain alias, click the Add button at the bottom of the screen. The following dialog box will appear.

.Enter the alias and then select the corresponding real domain name from the pull-down menu.
.To delete a domain alias, select it from the list and click the Delete button.
.Click the Refresh button to update the database and refresh the screen.


The user and group

User and Group

Every Winmail Server mailbox is assigned to a user. The Users and Groups option allows the administrator to enter new email users, assign them to groups, provide them with alias names for easier identification, and determine public contact information.


User administration

Users

Add Users

To add a user, click the Add button at the bottom of the screen. The following dialog box will appear.

Use the following table for reference while completing this dialog box.
User name | Login account of mailbox.
Question | The question will display when getting passoword
Answer | The answer will require when getting passoword
Authentication/Password (1) Internal data authentication requires a password to be entered;
(2) NT domain authentication will use account and password from domain settings.
Account status Select from the pull-down menu:
(1) Normal - account is working properly.
(2) Disable - account is not working properly or has been disabled.
(3) Pending - the new Webmail registration is waiting for approval of Winmail administrator.
Expiry date | The expiry date of mailbox.

Click the Next button to proceed to the User Information dialog box.

Enter the requested information for the user.
Check the box at the bottom if you wish to make this user¡¯s information accessible through the public contact features.
Note: To add user profile information to the public address book contact list, the public address book contact list function must be enabled.

Click Next to proceed to the User Group dialog box.

Names, domains, and descriptions of groups that have been set up in Winmail Server will be listed in this box.
Highlight a group and click the Select button to make this user a member of the selected group.

Click Next to proceed to the Quota dialog box.

Use the following table for reference while completing this dialog box.

Mailbox quota | Maximum mailbox storage capacity.
Number of messages | Maximum number of incoming email messages that can be stored.
Warning limit | Percentage of capacity to be used as warning limit. User will receive a warning message when mailbox size reaches the percentage. A value of 0 indicates no limit set.
Netstore quota | Maximum network store storage capacity.
Number of files | Maximum number of uploading files that can be stored.
Max. size of send | The max message size of a mail sent from the user.

Click Next to proceed to the User Permissions dialog box.

Use the following table for reference while completing this dialog box.

Disable SMTP | Check this box to prevent the user access SMTP.
Disable POP3 | Check this box to prevent the user access POP3.
Disable IMAP | Check this box to prevent the user access IMAP.
Disable Webmail | Check this box to prevent the user access webmail.
Disable modify userinfo | Check this box to prevent the user modify user information.
Disable external POP3 | Check this box to prevent the user setting external POP3.
Disable auto forward | Check this box to prevent the user auto forward message.
Disable auto reply | Check this box to prevent the user auto reply message.
Disable remove mail | Check this box to prevent the user remove mails.
Disable public contacts | Check this box to prevent the user access public contacts.
Disable netstore | Check this box to prevent the user access network store.
Disable calendar | Check this box to prevent the user using calendar.
Disable notebook | Check this box to prevent the user using notebook.
Disable SMS notification | Check this box to prevent the user receiving mobile short message notification when new message reached.
Disable Send SMS | Check this box to prevent the user sending mobile short message on webmail.

Click Next to proceed to the Sending/Receiving dialog box.

Sending | Set the following options: "Deny sending mail to other of this domain", "Deny sending mail to other domain in the system", "Deny sending mail to remote domain "
Receiving | Set the following options: "Deny receiving mail from other of this domain", "Deny receiving mail from other domain in the system", "Deny receiving mail from remote domain"

Click Next to proceed to the Flow Control dialog box.

Use the following table for reference while completing this dialog box.

Click Next to proceed to the Access Control dialog box.

Set up SMTP/Secure SMTP, POP3/Secure POP3, IMAP/Secure IMAP, Webmail/Secure Webmail, FTP/Secure FTP services allow and deny of IP addresses.

Click Next to proceed to the Forward/Reply dialog box.

Forward address | When auto-forwarding is set up, all email sent to the user account will be automatically forwarded to the specified mailbox.
Save a copy of forwarded mail | When mail is automatically forwarded, a copy will be retained in the local mailbox as well.

Click Finish when you have completed entering all user information.

Modify User

To change existing user information, select the user name from the list in the main Users screen and click the Modify button.
Select the tabs that contain the information you wish to change. Each screen is identical to the corresponding Add User screen, except for the Status, Sending List, Access List tab, shown below.

Status dialog box

Sending List dialog box

Access List dialog box

Because you are modifying the record for an existing user, some mail is likely to already have been sent and received. This dialog box displays information on current amount of space and number of messages, and allows the administrator to reset quotas or to empty mailboxes (for instance, when an employee leaves).

Delete Users

To delete a user record, select the user from the main Users screen and click the Delete button.

Note: Deleting a user record also deletes all the user's email.

Import Users

1. Import from file

Winmail Server allows the administrator to import a file of email user accounts from a different system. From the main Users screen, click the Import button. The following dialog box will appear.

.Enter the name of the file to be imported, or browse for it.
.Select the symbol used in the import file for remarks.
.Select the symbol used in the import file as the field delimiter.
.Click Next to proceed to the Field Map dialog box.

.Check the box to select the field mapping relationship between the imported file and Winmail user records.
.Enter a domain name if the mailbox does not have a domain associated with it.
.Check Random to randomly create a new password. Check Fix to use the value entered in the text box.
.Click Next to proceed with the file import.
If the file size is large, the import may take several minutes. Import results will be displayed in the following dialog box.

Click Finish to complete the import process.

2. Import from windows

.Enter the hostname or ip address of the nt server, and click list user.
.Select the windows user for import.
.Enter a domain name if the mailbox does not have a domain associated with it.
.Check Random to randomly create a new password. Check Fix to use the value entered in the text box.
.Click Next to proceed with the file import.

Export Users

Winmail Server allows the administrator to export a file of email user accounts to a different system.
From the main Users screen, click the Export button. The following dialog box will appear.

.Enter the name of the file to be imported, or browse for it.
.Check the boxes corresponding to the fields to be included in the export.
.Check the box at the bottom if the first line of data is field name headers.
.Click the Export button to perform the file export.

Bulk Update

.Select some users for bulk update.
.Check the boxes that will update.
.Click the OK button to perform user update.

Refresh

Update data from back database and renew interface.

Non-main domain user should write whole address while setting up pop3 in Outlook or Eudora, for example, a user named test in non main domain abc.com the account should be written as test@abc.com.


Group management

Groups

Winmail Server allows the administrator to set up and manage mail groups. Mail groups actually have a separate email address and all group members will receive mail sent to that address. To add, modify, or delete a user group, select Users and Groups from the main menu, then double-click Groups from the Users and Groups screen. The following screen will appear.

Add Group

Click the Add button to add a new user group. The following dialog box will appear.

Enter the name of the group, and a user-defined description.
Click Next to proceed to the Group Members dialog box.

To add users (members) to this group, click the Select button.Select the user to be added, and click OK. The name and domain will appear in the Members dialog box.

Importing a File of Members

To import a file containing member records for the current group, click the Import button on the Members dialog box.
.Click the Browse button to select the file to be imported.
.Choose the character used in this file as a comment character.
.Choose the character used in this file as a field separator.
.Click the Next button to bring up the Field Map.
.Select the fields to be included in the imported file by checking their boxes.
.If a mailbox name is missing a domain name, enter the default domain name to be used.
.Select Random if you want the system to randomly generate a password, when one is missing. Select Fix if you want the system to use one password for all the records, and enter the password in the text box.

NOTE: The import function will not overwrite existing records. Only records with new information will be imported.

Exporting a File of Members

To export a file containing group members, click the Export button on the Members dialog box.

.With the cursor in the Export file text box, click the Browse button to create a default export file name. The default file for the currently shown domain will be selected.
.Browse to the location to which you want the file exported, open and save.
.The path will now appear in the Export file text box. Click the Next button to bring up the Field Map.
.Select the fields to be included in the exported file by checking their boxes.
.If you want the first record in the exported file to be the field names, check the box at the bottom of the dialog box.
.Click Export to export the selected file to the selected location. A confirmation message should appear.

NOTE: You can only export each file one time.

Adding External Members
To add a member that is not in the current domain, enter the full user mailbox address in the "External mailbox" text box. Click Add to add the name to the member list.

Repeat the process of selecting users until the group is populated with the correct user members. When finished, click Next to proceed to Group Permissions.

Select users who have permissions to send mails of the group .

Group Permissions
Each group can have different global permissions applied to its members.

Click the appropriate radio button to specify whether you want:
.All group members to be able to receive mail from anyone
.All members of this group to be able to send email
.Only specific members of this group to be able to send email
Click Next to proceed to the Send Mail Member dialog box.

Use this dialog box to specify members who have authorization to send email from the group. Use the Select button and the pop-up user list, as when adding users to a group, to select user names for this list.
Click Next to proceed to the Group Manager dialog box.

Choose the group manager who manage the group by webmail.

Modify Groups

Modify a group, select it from the list of groups shown, and click the Modify button. The following multi-tabbed dialog box will appear, set to General Information by default.

Change General Information
In the General tab, you can change the description of the selected group, but not its name.

Change Members

You can add, delete, import, and export members for this group using the Members tab. The dialog box functions in the same way as when adding members. See the preceding Add Members section.

Change Permissions

Use the Permissions tab to change the permissions granted to members of this group. Click the appropriate radio button to specify whether you want:
.All group members to be able to receive mail from anyone
.All members of this group to be able to send email
.Only specific members of this group to be able to send email

Change Authorization to Send Mail

.Use the Send Mail tab to change the members who have authorization to send email from the group.
.Use the Select button and the pop-up user list, as when adding users to a group, to select user names for this list.

Change Group Manager

.Use the Group Manager tab to add or delete a group manager for this group.
.Use the Select button and the pop-up user list, as when adding users to a group, to select user names for this list.

Delete Groups

To delete a User Group, select it from the list of User Groups and click the Delete button. A confirmation message will appear. Click Yes to proceed with deleting the User Group.


User Aliases

You can create aliases to be used in place of full user names. Select User Aliases from the main menu. The following screen will appear.

Add User Aliases

To add a user alias, click the Add button. The following dialog box will appear.

.First select the user name for which you want to create an alias, using the Select button. A list of all current user names will appear, as shown in the following dialog box.

.Select the user name and click the OK button to return to the User Alias dialog box. The selected user name will be filled in as "Real mailbox."
.Enter the user alias to be used for this user name.
.If desired, enter a more complete description of this user for reference.
.Click OK to create the user alias. The user name, alias name, and description, if used, will appear on the list of user aliases.

Modify User Aliases

To modify user alias information, select the user name from the User Alias list and click the Modify button.

.You can change any of the fields: alias name, actual user name, or description.
.Click OK to accept the change. The changed record will appear on the User Alias list.

Delete User Aliases

To delete a user alias, select the user name from the User Alias list and click the Delete button. A confirmation message will appear. Click Yes to proceed with deleting the user alias.


Administrator

The Administrator option allows you to set up and manage access for all administrators of the system. Two types of administrators are allowed:
Super administrator manages all system settings.
Domain administrator manages only his or her authorized domains and groups of domains, users, and mailbox aliases.
Select the Administrator option under System Setup to add or change administrators. The following screen will appear.

To add an administrator, click the Add button at the bottom of the screen. The following dialog box will appear.

Use the following table for reference while completing this dialog box.

User name | Administrator login name.
Password | Administrator login password.
Description | User-defined description to identify the administrator.
Administrator type | Select the radio button for the type of administrator being added: (1) Super administrator (2) Domain administrator If you are adding a domain administrator, select the domains that will be managed by this administrator from the list of all domains on the left, and use the arrow buttons to include the appropriate domain in the right-hand list.

To change administrator information, select the administrator from the main list and click the Modify button.
To remove an administrator, select the administrator from the main list and click the Delete button. Click the OK button to accept the setup for each administrator.

.Click OK to accept the administrator.
.To modify an existing administrator, select the administrator from the Administrator screen and click the Modify button.
.To delete an existing administrator, select the administrator from the Administrator screen and click the Delete button.
.Use the Refresh button to update the database and refresh the screen.


Public Contacts

All user information, including account profiles and external addresses of mail servers, are stored in LDAP and can be searched by users with Outlook and Webmail.
To work with public contact information, select Public Contacts from the Users and Groups screen. The following screen will appear.

To add a new public contact record, click the Add button at the bottom of the screen. The following dialog box will appear.

Add Public Contact Information

Contact Information

.Enter user name and email address.
.Email addresses will be listed in the order shown. Use the Up or Down button to change the priority order.
.Click Next to proceed to two more screens of information.
.Fill in the fields you wish to make publicly available, and click Next to proceed.
.Click Finish when the information is complete.

Home Information

Business Information

Modify Public Contact Information

To modify public contact information, select the public contact record from the main Public Contact list screen, and click the Modify button. The following dialog box will appear.

Note: User name modification is not allowed.
.Select the tab containing the information to be modified.
.Change field information as needed.
.Use the Up or Down button to change the order in which email addresses appear.
.Click the OK button when finished. The changed public contact record will appear on the main Public Contact list screen.

Delete Public Contact Information

To delete a Public Contact, select the Public Contact record and click the Delete button. A confirmation message will appear. Click Yes to proceed with deleting the public contact record.
Note: Deleting contacts from LDAP public address book does not affect the user account system information.

Import Public Contact Records

Importing a file of Public Contact records functions the same way as importing a file of user records. To import a file containing public contact records, click the Import button on the Public Contacts screen. The following dialog box will appear.

.Click the Browse button to select the file to be imported.
.Choose the character used in this file as a comment character.
.Choose the character used in this file as a field separator.
.Click the Next button to bring up the Field Map.
.Select the fields to be included in the imported file by checking their boxes.
.If a mailbox name is missing a domain name, enter the default domain name to be used.
.Select Random if you want the system to randomly generate a password, when one is missing. Select Fix if you want the system to use one password for all the records, and enter the password in the text box.

NOTE: The import function will not overwrite existing records. Only records with new information will be imported.

Export Public Contact Records

To export a public contact record, select the record on the main Public Contacts list screen, and click the Export button. The following dialog box will appear.

.With the cursor in the Export file text box, click the Browse button to create a default export file name. The default file for the currently shown domain will be selected.
.Browse to the location to which you want the file exported, open and save.
.The path will now appear in the Export file text box. Click the Next button to bring up the Field Map.
.Select the fields to be included in the exported file by checking their boxes.
.If you want the first record in the exported file to be the field names, check the box at the bottom of the dialog box.
.Click Export to export the selected file to the selected location. A confirmation message should appear.

NOTE: You can only export each file one time.


System Status


Mail Queue

The system administrator can view mail messages that are in the queue for delivery by selecting the Mail Queue option on the System Status menu. The following screen will appear.

Use the following table for reference in interpreting this screen.

Mail ID | Mail ID in queue.
Create Time | Timing mail is added in queue.
Last Try Time | Time of latest sending attempt.
Size | Mail size.
From | Sender address.
To | Recipient address with semicolon to separate different addresses.
Status | Delivery status of mail including delivering, waiting for delivering, waiting for retry, waiting for signing.

Delete Mail in Queue

To delete all mail in the queue, click the Empty button.
To delete a single item in the queue, highlight the message and click the Delete button.

Read Mail in Queue

To read a mail message, highlight the message and click the Read button.

Notes

When you see a large amount of mail in the mail queue, it is possible that the mail server has been used to forward Spam email. Check to make sure the server has started SMTP Authentication (refer to SMTP Setup.)

You may need to stop the mail server and remove all subdirectories and files in the directory server\queue of the mail server installation directory. Winmail Server then will rebuild all subdirectories and restart mail server functions.


System Statistics

System statistics are gathered in real time, starting with each system start-up.
To view the current status of Winmail Server system services and mail delivery, select System Current Status from the System Status menu option. A screen similar to the following will appear.

Statistics of System Parameter

1. SMTP/Secure SMTP Statistics

Displays current status of SMTP connections, including:
.number of connection attempts
.number of connection failures
.number of authentication failures
.total number of bytes delivered
.total number of filtered mail messages
.number of currently connected

2. POP3/Secure POP3 Statistics

Displays current status of POP3 connections, including:
.number of connection attempts
.number of connection failures
.number of authentication failures
.number of mail messages received
.number of currently connected

3. IMAP4/Secure IMAP4 Statistics

Displays current status of IMAP connections, including:
.number of connection attempts
.number of connection failures
.number of authentication failures
.number of customers receiving mail
.number of appended mail messages
.currently connected accounts
.number of currently connected

4. FTP/Secure FTP Statistics

Displays current status of FTP connections, including:
.number of connection attempts
.number of connection failures
.number of authentication failures
.number of uploaded files
.number of downloaded files
.number of currently connected

5. ADMIN Statistics

Displays current status of Admin connections, including:
.number of connection attempts
.number of connection failures
.number of login failures

6. Mail Queue Statistics

Displays current status of mail queue, including:
.number of loop delivery mail messages
.number of delayed delivery mail messages
.number of bounced mail messages
.number of filtered mail messages.

7. Mail Delivery Statistics

Display current status of mail delivery, including:
.number of messages delivered
.number of bytes delivered
.number of delivery failures
.number of local messages delivered
.number of bytes of local messages delivered
.number of local message delivery failures
.number of remote messages delivered
.number of bytes of remote messages delivered
.number of remote message delivery failures
.total number of filtered mail messages


System Flow Chart

Show System Flow Chart in one day or 30 days.


User Statistics

Show Service Statistics of mailbox.


Active Connections

Show System Active Connections


System Log

Systems logs capture system events for the various services and operations of the Winmail Server. The administrator can review these system logs to troubleshoot mail server operations.
Select the System Logs option on the main menu. The following screen will appear.

Double-click the log you wish to view. An example of an queue log follows.

In the above mentioned log , each record follows the definite form: date-time, threadID, and log information.

The administrator can choose to empty or delete each log file using the buttons at the bottom of the screen, and refresh the remaining logs.


Change Password

To change the present administrator's password, select Change Password under System Setup. The following screen will appear.

.Enter the old password, then type in a new password twice.
.Click the Apply button at the bottom of the screen when finished.


License Info

License

Winmail Server is available as a free download with a limited number of mailboxes, for 30-day trial. At the end of 30 days the software will no longer function properly without purchasing and registering the software. To purchase and/or register the software, select the License option from the System Setup menu. The following screen will appear.

Product name | The version and build number of the Winmail Server software you are using.
Licensed to | User name to whom the software is licensed.
Max. number of mailboxes | Maximum number of mailboxes allowed.
Mailboxes used | The number of mailboxes has been add.
Install date/License date | License date. If not licensed, this field displays installation date.
Remaining days | Days remaining under terms of current license.

To buy the software, click the Buy Now button at the bottom of the screen. You will be connected to the Winmail Server website where you can purchase the software and obtain license key information on-line. If you have already received your license key, click the Register button at the bottom of the screen. The following dialog box will appear.

Copy the license key from the email you received when you purchased the software. Do not include spaces or new lines when entering the license key. Once you are properly registered, the license screen should accurately display the number of mailboxes that you are allowed.

Notes:
If you receive an "Invalid License" message, a register code fault will be displayed. Note this register code for future reference, and try again.
If you are unable to register after several attempts, contact technical support at register@winmail.cn
If the register code is correct but the system still shows "Invalid License," check to be sure you have enough licenses for all existing users.


LDAP Server

The built-in LDAP server enables access to public contacts stored in server for email client programs supporting the LDAP protocol (Lightweight Directory Access Protocol).

Start LDAP Server

Under "Domain Settings" function, enable "In the domain, add personal information to public contacts"

Mail clients settings

User can see public contacts in our Webmail

The following information should be considered to enable a mail client to access contacts stored in Server by the LDAP protocol.

LDAP server: DNS name (e.g. mail.ourcompany.com) or IP address (e.g.192.168.1.1) of the host that Winmail server is running on.
Username and Password: This data is used by users to log into the LDAP server (equal to the name and password for user login to mailboxes). The LDAP server in Winmail server can support anonymous logins.
Port: The default port is 389, you can change it.
Search base: This item should include the root of the LDAP database, where the contacts are stored. Winmail server uses the root called "o=magicwinmail" to store contacts. When you use Outlook, let the field blank.

Example of Configuration - Outlook Express

The LDAP account is defined in the Tools / Accounts / Directory Service menu. New accounts can be added with the wizard, however, you must open the Properties dialog to define all the required parameters.
General folder:

Check names against this server when sending mail If this option is enabled, personal email addresses will be searched for automatically when a message is sent. This means that names can be used instead of full email addresses in the To field (or Copy To or Blind Carbon Copy To). The appropriate email addresses will be changed when the email is sent.
Note: If an inserted name cannot be found, the message will not be sent by Outlook Express and the user must correct the name or insert the full email address. If there are more addresses for one name, a dialog for user/address selection will be displayed.

If need input BaseDN, please use o=magicwinmail


 COM Object

In order to integrate Winmail Server with other systems, the software provides a COM component stored in ~\server\MailerverCtrl.dll to delete user, domain or administrator. Control name: MailServerCtrl.MailDBInterface eg: newObject.CreateObject("MailServerCtrl.MailDBInterface")

Instructions

Following are the instruction codes that can be used:
void InitControl(BSTR pstrProgPath)
Function: Initialization control
Parameter: Directory of mail system database files
Return: None

BSTR GetDBPath()
Function: Acquire directory of database file
Parameter: None
Return: Return to directory of database file

short CheckUser(BSTR pstrUser, BSTR pstrDomain)
Function: Add a new user
Parameter:
pstrUser - mailbox name of user
pstrDomain - domain name of mailbox; empty means main domain
Return:
0 - add new mailbox successfully
1 - parameter incorrect or format invalid
2 - same mailbox name existed
3 - same user alias existed
4 - same group name existed

short AddUser(BSTR pstrUser, BSTR pstrDomain, BSTR pstrPassword)
Function: Add a new user
Parameter:
pstrUser - mailbox name of user
pstrDomain - domain name of mailbox; empty means main domain
pstrPassword - mailbox password
Return:
0 - add new mailbox successfully
1 - parameter incorrect or format invalid
2 - same mailbox name existed
3 - same group name existed
4 - same user alias existed
5 - mailbox amount reaches to limit in domain
6 - mailbox size reaches to limit in domain
7 - new-added domain doesn't exist

short ModifyUser(BSTR pstrUser, BSTR pstrDomain, BSTR pstrFullName, BSTR pstrDescription, BSTR pstrOrganizationUnit, BSTR pstrOffice)
Function: Modify user information
Parameter:
pstrUser - mailbox name of user
pstrDomain - domain name of mailbox; empty means main domain
pstrFullName - the user’s full name
pstrDescription - the user’s description
pstrOrganizationUnit - the user’s organization unit
pstrOffice - the user’s office
Return:
0 - modify user information successfully
1 - parameter incorrect or format invalid
2 - the mail user doesn’t found or read user information failed
3 - modify user information failed

short ModifyUserQuota(BSTR pstrUser, BSTR pstrDomain, long lMailQuota, short iMailTotalLimit, short iWarningLimit, long lNetStoreQuota, int iNetStoreTotalLimit)
Function: Modify user’s mailbox quota
Parameter:
pstrUser - mailbox name of user
pstrDomain - domain name of mailbox; empty means main domain
lMailQuota - max. quota of mailbox, 0 means unlimited, Unit: bytes(b)
iMailTotalLimit - max number of messages, 0 means unlimited
iWarningLimit - the limition of mailbox warning, 0 means unlimited, Unit: percent
lNetStoreQuota - max quota of mailbox’s network storeage, 0 means unlimited, Unit: bytes(b)
iNetStoreTotalLimit - max number of files, 0 means unlimited
Return:
0 - modify user’s mailbox quota successfully
1 - parameter incorrect or format invalid
2 - the mail user doesn’t found or read user information failed
3 - the domain of mail user doesn’t found or read domain information failed
4 - the assigned space reached the mailbox quota or netstore quota
5 - modify user’s mailbox quota failed

short ModifyUserRight(BSTR pstrUser, BSTR pstrDomain, long lExpireTime, short uPop3Control, short uImapControl, short uWebmailControl, short uNetStoreControl, short uCalendarControl, short uNotebookControl, short uExternalPop3)
Function: Modify user’s mailbox right
Parameter:
pstrUser - mailbox name of user
pstrDomain - domain name of mailbox; empty means main domain
lExpireTime - the mailbox expiry date, 0 means unlimited, the value is time stamp
uPop3Control - disable POP3, 0 means enable, 1 means disabled
uImapControl - disable IMAP, 0 means enable, 1 means disabled
uWebmailControl - disable webmail, 0 means enable, 1 means disabled
uNetStoreControl - disable network store, 0 means enable, 1 means disabled
uCalendarControl - disable calendar, 0 means enable, 1 means disabled
uNotebookControl - disable notebook, 0 means enable, 1 means disabled
uExternalPop3 - disable external POP3, 0 means enable, 1 means disabled
Return:
0 - modify user’s mailbox right successfully
1 - parameter incorrect or format invalid
2 - the mail user doesn’t found or read user information failed
3 - the domain of mail user doesn’t found or read domain information failed
4 - the assigned space reached the mailbox netstore quota
5 - modify user’s mailbox right failed

short ModifyUserStatus(BSTR pstrUser, BSTR pstrDomain, short uStatus)
Function: Modify user status
Parameter:
pstrUser - mailbox name of user
pstrDomain - domain name of mailbox; empty means main domain
uStatus - mailbox's status, 0 means normal, 1 means disabled, 2 means pending
Return:
0 - modify user status successfully
1 - parameter incorrect or format invalid
2 - the mail user doesn’t found or read user information failed
3 - modify user status failed

short DeleteUser(BSTR pstrUser, BSTR pstrDomain)
Function: Delete one user
Parameter:
pstrUser - user mailbox name
pstrDomain - mailbox domain name
Return:
0 - delete user successful
1 - parameter incorrect or format invalid
2 - the mail user doesn't found or read user information failed
3 - delete user failed

short ChangePassword(BSTR pstrUser, BSTR pstrDomain, BSTR pstrOldPwd, BSTR pstrNewPwd)
Function: Change user password
Parameter:
pstrUser - user mailbox name
pstrDomain - mailbox domain name; empty means main domain
pstrOldPwd - old password
pstrNewPwd - new password
Return:
0 - change password successful
1 - parameter incorrect or format invalid
2 - the mail user doesn't found or read user information failed
3 - the mail user is not internal data authentication
4 - old password incorrect

short Authenticate(BSTR pstrUser, BSTR pstrDomain, BSTR pstrPass)
Function: Check user password
Parameter:
pstrUser - user mailbox name
pstrDomain - mailbox domain name; empty means main domain
pstrPass - mailbox password
Return:
0 - check password successful
1 - parameter incorrect or format invalid
2 - the mail user doesn't found or read user information failed
3 - the mail user is not internal data authentication
4 - check password failed

short AddDomain(BSTR pstrDomain)
Function: Add a domain
Parameter:
pstrDomain - mailbox domain name
Return:
0 - add domain successfully
1 - parameter incorrect or format invalid
2 - domain existed and add failed

short ModifyDomainStorage(BSTR pstrDomain, long lMailboxStorage, int iMailboxTotal, long lNetStoreStorage, long lMinMailboxQuota)
Function: Modify domain's storage
Parameter:
pstrDomain - domain name
lMailboxStorage - total storage of mailboxes, 0 means unlimited, Unit: kilobyte(KB)
iMailboxTotal - total number of mailboxes, 0 means unlimited
lNetStoreStorage -Total storage of netstore, 0 means unlimited, Unit: kilobyte(KB)
lMinMailboxQuota -Min. quota per mailbox, the value equal 3MB when the value equal 0
Return:
0 - Modify domain's storage successfully
1 - parameter incorrect or format invalid
2 - the domain doesn't found or read domain information failed
3 - Modify domain's storage failed

short ModifyDomainRight(BSTR pstrDomain, long lExpireTime, short uPop3Control, short uImapControl, short uWebmailControl, short uNetStoreControl, short uCalendarControl, short uNotebookControl, short uExternalPop3)
Function: Modify domain's right
Parameter:
pstrDomain - domain name
lExpireTime - the mailbox expiry date, 0 means unlimited, the value is time stamp
uPop3Control - disable POP3, 0 means enable, 1 means disabled
uImapControl - disable IMAP, 0 means enable, 1 means disabled
uWebmailControl - disable webmail, 0 means enable, 1 means disabled
uNetStoreControl - disable network store, 0 means enable, 1 means disabled
uCalendarControl - disable calendar, 0 means enable, 1 means disabled
uNotebookControl - disable notebook, 0 means enable, 1 means disabled
uExternalPop3 - disable external POP3, 0 means enable, 1 means disabled
Return:
0 - Modify domain's right successfully
1 - parameter incorrect or format invalid
2 - the domain doesn't found or read domain information failed
3 - Modify domain's right failed

short ModifyDomainLimit(BSTR pstrDomain, short uSignatureNum, short uAddressNum, short uMailFilterNum, short uExternalMailNum, long lMaxPop3MailSize, short uMaxPop3MailTotal)
Function: Modify domain's limit
Parameter:
pstrDomain - domain name
uSignatureNum - Max. signatures, 0 means unlimited
uAddressNum - Max. personal contacts, 0 means unlimited
uMailFilterNum - Max. mail filter rules, 0 means unlimited
uExternalMailNum - Max. external POP3 accounts
lMaxPop3MailSize - Max. POP3 message size, 0 means unlimited, Unit: byte(B)
uMaxPop3MailTotal - Max. number of POP3 messages, 0 means unlimited
Return:
0 - Modify domain's limit successfully
1 - parameter incorrect or format invalid
2 - the domain doesn't found or read domain information failed
3 - Modify domain's limit failed

short DeleteDomain(BSTR pstrDomain)
Function: Delete a domain
Parameter:
pstrDomain - mailbox domain name
Return:
0 - delete domain successful
1 - delete domain failed

short AddAdminUser(BSTR pstrUser, BSTR pstrPass, short uUserType, BSTR pstrAdminRange)
Function: Add a system administrator
Parameter:
pstrUser - administrator username
pstrPass - administrator password
uUserType - administrator type; 0 - super administrator, 1 - domain administrator
pstrAdminRange - domain allowed to be managed; separate domain names by semi-colon (;)
Note: Domain allowed to be managed by domain administrator cannot be empty
Return:
0 - add administrator successful
1 - parameter incorrect or format invalid
2 - administrator existed and add failed

short DeleteAdminUser(BSTR pstrUser)
Function: Delete a administrator
Parameter:
pstrUser - administrator username
Return:
0 - delete administrator successful
1 - delete administrator failed]

short AddUserAlias(BSTR pstrAliasUser, BSTR pstrDomain, BSTR pstrRealMailbox)
Function: Add a user alias
Parameter:
pstrAliasUser - user alias name
pstrDomain - mailbox domain name; empty means main domain
pstrRealMailbox - the alias corresponds to real mailbox
Return:
0 - add user alias successfully
1 - parameter incorrect or format invalid
2 - add user alias failed

short DeleteUserAlias(BSTR pstrAliasUser, BSTR pstrDomain)
Function: Delete a user alias
Parameter:
pstrAliasUser - user alias name
pstrDomain - mailbox domain name; empty means main domain
Return:
0 - delete user alias successfully
1 - parameter incorrect or format invalid
2 - delete user alias failed

short AddDomainAlias(BSTR pstrAliasDomain, BSTR pstrRealDomain)
Function: Add a domain alias
Parameter:
pstrAliasDomain - domain alias name
pstrRealDomain - the alias corresponds to real domain
Return:
0 - add domain alias successfully
1 - parameter incorrect or format invalid
2 - add domain alias failed

short DeleteDomainAlias(BSTR pstrAliasDomain)
Function: Delete a domain alias
Parameter:
pstrAliasDomain - domain alias name
Return:
0 - delete domain alias successfully
1 - parameter incorrect or format invalid
2 - delete domain alias failed

short AddGroup(BSTR pstrName, BSTR pstrDomain, BSTR pstrDescription, BSTR pstrMemberList, short uRight, BSTR pstrSenderList)
Function: Add new mail group
Parameter:
pstrName - Name of mail group
pstrDomain - Domain of mail group, empty means main domain
pstrDescription - Description of mail group
pstrMemberList - Group member list, separate multiple member with a semicolon (;)
uRight - Permission of sendmail
0 - means "Anyone can send mail to group member"
1 - means "Only group member can send mail"
2 - means "Specified group member can send mail"
pstrSenderList - Member of allow send mail to group, separate multiple member with a semicolon (;)
Return:
0 - add a new mail group successfully
1 - parameter incorrect or format invalid
2 - same mailbox name existed
3 - same group name existed
4 - same user alias existed
5 - added domain doesn't exist

short ModifyGroup(BSTR pstrName, BSTR pstrDomain, BSTR pstrDescription, BSTR pstrMemberList, short uRight, BSTR pstrSenderList)
Function: Modify mail group
Parameter:
pstrName - Name of mail group
pstrDomain - Domain of mail group, empty means main domain
pstrDescription - Description of mail group
pstrMemberList - Group member list, separate multiple member with a semicolon (;)
uRight - Permission of sendmail
0 - means "Anyone can send mail to group member"
1 - means "Only group member can send mail"
2 - means "Specified group member can send mail"
pstrSenderList - Member of allow send mail to group, separate multiple member with a semicolon (;)
Return:
0 - Modify mail group successfully
1 - parameter incorrect or format invalid
2 - the group doesn't found or read group information failed
3 - Modify mail group failed

short DeleteGroup(BSTR pstrName, BSTR pstrDomain)
Function: Delete a mail group
Parameter:
pstrName - Name of mail group
pstrDomain - Domain of mail group, empty means main domain
Return:
0 - Delete mail group successfully
1 - parameter incorrect or format invalid
2 - Delete mail group failed

BSTR GetFolderMsgCount(BSTR pstrUser, BSTR pstrDomain, BSTR pstrPasswd, BSTR pstrFolder, short uOnlyNew)
Function: Get new message count or message total in mail folder of mailbox
Parameter:
pstrUser - username of mailbox
pstrDomain - domain of mailbox; empty means main domain
pstrPasswd - password of mailbox
pstrFolder - special mail folder, separate multiple member with a vertical line (|), eg: get inbox message number and sent message number, the value is "inbox|sent". mail folder name, inbox, sent, draft, trash, spam. empty means all mail folder (inbox|sent|draft|trash|spam)
uOnlyNew - only get new message number; 0 - message total and new message number, 1 - only new message number.
Return:
if uOnlyNew value equals 0, the return value is new/total, eg 2/3
if uOnlyNew value euqals 1, the return value is new, eg 2
if pstrFolder value is multi mail folder, uOnlyNew value equals 0, the return value is new1/total1|new2/total3, eg 2/3|5/8 ; uOnlyNew value equals 1, the return value is new1|new2, eg 2|5

Samples


Setup WebMail to WebServer

Webmail runs in some web server through the following examples

Setup Webmail to IIS Webmail runs by IIS
Setup Webmail to Apache Webmail Webmail runs by Apache


Setup WebMail to IIS

1. Install php as a IIS ISAPI module and add virtual directory to IIS. Please read http://www.phpbuddy.com/sub_articles.php?other_articles=4

The default directory of this software is C:\Program Files\Magic Winmail
The default directory of webmail is C:\Program Files\Magic Winmail\server\webmail\www
The default directory of php dll is C:\WINNT\php5, your windows install directory

. If your server used a NTFS file system, Please add "Full Control" Permissions to "Everyone" for next directory and file:

C:\Program Files\Magic Winmail\server\data
C:\Program Files\Magic Winmail\server\store
C:\Program Files\Magic Winmail\server\netstore
C:\Program Files\Magic Winmail\server\SpamAssassin
C:\Program Files\Magic Winmail\server\webmail\temp
C:\WINDOWS\Temp


Setup WebMail to Apache

Integrating Webmail with Apache

This section contains notes and hints specific to integrating Webmail with Web servers running Apache.

Preparation

If you need the latest version of Apache, download it from http://www.apache.org

Setting Up Apache

If Apache does not support PHP, perform the following steps:

1.In the Apache installation directory, edit the conf\httpd.conf file and add the following text:

LoadModule php5_module "C:/WINNT/php5/php5apache2_2.dll"
AddType application/x-httpd-php .php
Alias /webmail "C:/Program Files/Magic Winmail/server/webmail/www/"
<Directory "C:/Program Files/Magic Winmail/server/webmail/www">
Options Indexes MultiViews
AllowOverride None
Order allow,deny
Allow from all
DirectoryIndex index.php index.html index.htm
</Directory>

2.Run Apache to test.

If Apache supports PHP, make sure you have PHP version 5.x, then perform the following steps:

1.Edit the php.ini file to include the following text:

PHP load LDAP module(extension=php_ldap.dll)
PHP load LDAP module(extension=php_mbstring.dll)
PHP load gd module(extension=php_gd2.dll)
PHP load openssl module(extension=php_openssl.dll)
PHP load com dotnet module(extension=php_com_dotnet.dll)
PHP load com sqlite module(extension=php_sqlite3.dll)
magic_quotes_gpc = Off

2.In the Apache installation directory, edit the conf\httpd.conf file and add the following text:

Alias /webmail "C:/Program Files/Magic Winmail/server/webmail/www/"
<Directory "C:/Program Files/Magic Winmail/server/webmail/www">
Options Indexes MultiViews
AllowOverride None
Order allow,deny
Allow from all
DirectoryIndex index.php index.html index.htm
</Directory>

3.Run Apache to test.

If your server used a NTFS file system, Please add "Full Control" Permissions to "Everyone" for next directory and file:

C:\Program Files\Magic Winmail\server\data
C:\Program Files\Magic Winmail\server\store
C:\Program Files\Magic Winmail\server\netstore
C:\Program Files\Magic Winmail\server\SpamAssassin
C:\Program Files\Magic Winmail\server\webmail\temp
C:\WINNT\Temp

Note: The procedure outlined here adds a virtual director. Use a similar procedure to add a virtual web site.

Testing

After setup and configuration, use Internet Explorer to access http://yourserverip/webmail/ as a test.


Application Instances

Using Samples

The following samples demonstrate how the Winmail server to set a mail server under the different network circumstance.

Leased Line : Internet special line service and fixed IP.
ADSL: Non-fixed IP by ADSL broadband connection.
ADSL + Domain Mailbox : Non-fixed IP by ADSL broad band connection + domain mailbox
Dial-up + Domain Mailbox : Access Internet by Modem with Non-fixed IP + domain mailbox
LAN Mail Server: Use Winmail Server as enterprise internal mail system only
Mail Server for HQ and Branches: Whole corporation wants to use one domain name, of which HQ has consummate mail system

For more applications, please visit http://www.winmail.cn


Leased Line

This solution is for those who connect with the Internet via leased line or trustee host to ISP and have static IP.

Preparation

1.There is one special data line direct connecting with Internet and IP.
2.Apply a domain name such as ourcompany.com and point MX records of domain name to computer installed as Winmail Server.

Initialization

1.Add main domain yourdomain.com in 'Domains' and configure relevant parameters. Please refer to Domains
2.Add user accounts to domain in 'Users'. Please refer to Users
3.Configure server is permanently connected to Internet in Internet Setting. Please refer to Internet Setting
4.Configure SMTP parameter in 'SMTP Setup'. Please refer to SMTP Setup


ADSL

This solution is for those who want to construct a mail server with direct Internet access, but have no leased line and static IP.

Preparation

1.Apply ADSL account and dial up connecting with Internet.
2.Apply a domain name such as yourdomain.com.
3.Apply dynamic domain name analysis service and configure converted dynamic domain name as MX host of yourdomain.com.

Initialization

1.Add main domain yourdomain.com in 'Domains' and configure related parameters. Please refer to Domains.
2. Add user accounts to domain in 'Users'. Please refer to Users.
3.Configure server is permanently connected to Internet in Internet Setting. Please refer to Internet Setting.
4.Configure SMTP parameter in 'SMTP Setup'. Please refer toSMTP Setup.


ADSL+WebMail

ADSL + Enterprise Postoffice

Enterprise has ADSL Internet connection and Postoffice, and uses Winmail Server as enterprise internal mail system and gateway.

Preparation

.Apply ADSL account and dial up to access Internet.
.Apply a domain name such as yourdomain.com.
.Apply Postoffice from ISP.
.Make sure if Postoffice system ISP provided supports ETRN or unlimited alias mailbox function.

Initialization

.Add main domain yourdomain.com in 'Domains' and set up related parameters. Please refer to Domains.
.Add user accounts to domain in 'Users'. Please refer to Users
.Configure server is permanently connected to Internet in Internet Setting. Please refer to Internet Setting.
.Configure SMTP parameters in 'SMTP Setup'. Please refer to SMTP Setup.

Set up Mail Gateway

.ETRN mode: add ETRN records in 'Mail Gateway'¨¤'ETRN Setup'. Please refer to ETRN Setup.
.Unlimited alias mode: add POP3 account of unlimited alias mailbox of enterprise Postoffice in 'Mail Gateway'¨¤'POP3 Download' to distribute mail to corresponding local mailboxes as per mail header. Please refer to POP3 Download.
.Common POP3 mode: add POP3 records for users requested in 'Mail Gateway'¨¤'POP3 Download' to directly deliver mail to corresponding mailboxes. Please refer to POP3 Download.
.Add tasks in 'Scheduler' to set up timing of retrieving mail from enterprise Postoffice.
.Make sure domain mail to be delivered within LAN and adding accounts are internal use functions only.


Dial up + webmail

Dial-up + Enterprise Postoffice

Enterprise accesses Internet by dial-up modem, owns Postoffice and uses Winmail Server as enterprise internal mail system and gateway.

Preparation

.Access Internet by Modem Dial-up.
.Apply a domain name such as yourdomain.com.
.Apply Postoffice from ISP.
.Determine whether Postoffice system ISP supports ETRN or unlimited alias mailbox function.

Initialization

.Add main domain yourdomain.com in 'Domains' and set up related parameters. Please refer to Domains.
.Add user accounts to domain in 'Users'. Please refer to Users.
.Configure Internet communication is triggered by scheduler in 'Internet Setting' and fill in ISP, username and password. Please refer to Internet Setting.
.Configure SMTP parameter in 'SMTP Setup'. Please refer to SMTP Setup.

Set up Mail Gateway

.ETRN mode: add ETRN records in 'Mail Gateway'¨¤'ETRN Setup'. Please refer to ETRN Setup.
.Unlimited alias mode: add POP3 account of unlimited alias mailbox of enterprise Postoffice in 'Mail Gateway'¨¤'POP3 Download' to distribute mail to corresponding local mailboxes as per mail header. Please refer to POP3 Download.
.Common POP3 mode: add POP3 records for users requested in 'Mail Gateway'¨¤'POP3 Download' to directly deliver mail to corresponding mailboxes. Please refer to POP3 Download.
.Add tasks in 'Scheduler' and select 'Auto dial-up if offline' and 'Hang up after tasks' in order to access Internet properly and to set up timing of retrieving mail.
.Make sure domain mail to be delivered within LAN and adding accounts are internal use functions only.


Dial up + webmail

LAN Mail Server

Use Winmail Server as enterprise internal mail system only.

Preparation

.Define a domain name such as yourdomain.com.
.Build up an internal LAN and run with TCP/IP.

Initialization

Add main domain yourdomain.com in 'Domains' and configure related parameters. Please refer to Domains
Add user accounts to domain in 'Users'. Please refer to Users.
Configure server is permanently connected to Internet in 'Internet Setting'. Please refer to Internet Setting.
Configure SMTP parameter in 'SMTP Setup'. Please refer to SMTP Setup.


Dial up + webmail

Mail Server for HQ and Branches

Whole corporation wants to use one domain name, of which HQ has consummate mail system and leased line Internet access and branches in other places need to be able to access the same mail server.

Preparation

.Access Internet by ADSL.
.Build up internal LAN and run with TCP/IP.
.Assign HQ domain name such as ourcompany.com.

Initialization

.Add main domain yourdomain.com in 'Domains' and configure related parameters. Please refer to Domains.
.Add user accounts to domain in 'Users'. Please refer to Users.
.Configure server is permanently connected to Internet in 'Internet Setting'. Please refer to Internet Setting.
.Configure SMTP parameter in 'SMTP Setup'. Please refer to SMTP Setup.
.Add POP3 records for all users of HQ in 'Mail Gateway'¨¤'POP3 Download' to directly deliver mail to corresponding mailboxes. Please refer to POP3 Download.
.Add tasks in 'Scheduler' and select 'Auto dial-up if offline' and 'Hang up after tasks' in order to access Internet properly and to set up timing of retrieving mail from HQ.
.Make sure domain mail to be delivered within LAN and adding accounts are internal use functions only.


Winmail Server Change Log

Edition History

Version 7.2(Build 0310)(03/10/2024))

1. [Enterprise] Add other email storage directory settings, giving priority to the disk with the largest proportion of free space.
2. [Enterprise] Added email proxy function. Email users can set it in the sender management of the Webmail configuration box.
3. Webmail settings add secondary authentication (2FA two-factor authentication) settings and support TOTP dynamic password verification.
4. Add ADMIN configuration in the advanced settings, and the management side can configure TOTP dynamic password verification and password guessing prevention.
5. A host name whitelist is added for password guessing detection, and the access whitelist can be set in combination with dynamic domain names.
6. Password guessing detection removes authentication times exceeding the limit and outgoing IP addresses exceeding the limit to prevent affecting other users on the same network.
7. Inline image filtering under email filtering supports identifying the content of QR codes.
8. When sending a large number of emails via Webmail, a graphic verification code will be displayed to prevent mass sending.
9. [Enterprise] Add spam filtering statistics on the management side.
10. The mail queue and active connections are automatically refreshed in 15 seconds under system status.
11. To retrieve the password, you can add corporate WeChat and DingTalk code scanning.
12. Add password modification records in the management user attributes.
13. User management can clear corporate WeChat, DingTalk ID, and TOTP keys.
14. User groups can set up mail-sending representatives, and can send mails directly in the name of the group in Webmail.
15. Fixed the problem of no sending record of scheduled emails.
16. Fixed the problem that the MSMS service does not start, the SMS queue does not retry, and always accumulates.
17. Fixed the problem of incorrect user name when importing LDAP.
18. Upgrade Apache to 2.4.58.
19. Upgrade PHP to 8.2.16.
20. Upgrade OpenSSL to 3.0.13.
21. Upgrade ClamAV to 1.3.0.
22. Fixed several Webmail security vulnerabilities.

Version 7.1(Build 0518)(05/18/2023))

1. [Enterprise/Platinum] Add user and group synchronization under domain name attribute, support ADSI, LDAP.
2. [Enterprise/Platinum] Add user and group synchronization under the domain name attribute, support enterprise WeChat.
3. [Enterprise/Platinum] Add user and group synchronization under the domain name attribute, support DingTalk.
4. Enhanced password policy setting function, can set multiple subdivision policy rules, and can set weak password dictionary.
5. Webmail can be configured with two-factor authentication and supports SMS verification codes.
6. Webmail two-factor authentication can be configured to support enterprise WeChat code scanning or sending verification codes.
7. Webmail two-factor authentication can be configured to support DingTalk scanning code or sending verification code.
8. Whether to enable two-factor authentication can be set in the user attribute password policy.
9. The allowed host header is added to the HTTP settings to meet the domain name filing requirements.
10. The external database supports ODBC connection to DM database.
11. The IP authentication that only allows the specified attribution is added to the password guessing detection, which can realize the use of the mail function only in specific regions.
12. It is allowed to modify the domain name of the common domain, both the main domain and common domain can be renamed.
13. Adjust the directory structure of user email storage, store them in sub-directories by domain name, and existing user emails will be automatically migrated.
14. Allows modification of group names and user aliases.
15. Add custom IP attribution record function, add built-in IP attribution record by yourself.
16. [Enterprise/Platinum] Support exporting user access records, sending records, receiving records.
17. Mail migration supports multi-threaded downloading of mail.
18. Fixed some security and functionality issues.
19. Upgrade Apache to 2.4.55.
20. Upgrade OpenSSL to 1.1.1t.
21. Upgrade PHP to 7.4.33.
22. Upgrade Clamav to 1.0.1.
23. Upgrade Spamassassin to 3.4.4.

Version 7.0(Build 0630)(06/30/2022))

1. [Enterprise/Platinum] Support built-in MySQL.
2. [Enterprise/Platinum] Support external MySQL,MariaDB,PostgresSQL.
3. [Enterprise/Platinum] Support auto synchronization from external LDAP.
4. Support update password for multiuser.
5. Enhanced filter rules settings.
6. Support authorization code login for mail client.
7. Added remove client ip for mail header settings.
8. User can set time zone in Webmail.
9. Upgrade Apache to 2.4.53.
10. Upgrade OpenSSL to 1.1.1n.
11. Upgrade PHP to 7.4.29.
12. Support Windows Server 2022, Windows 11.

Version 6.7(Build 0112)(01/12/2021))

1. Support http2 protocol.
2. Enhanced password-guessing detection.
3. Enhanced forgot password security.
4. Fixed public contacts import bug.
5. Fixed outlook recall mail bug.
6. Fixed server crash bug.
7. Upgrade Apache to 2.4.46.
8. Upgrade OpenSSL to 1.1.1i.
9. Upgrade PHP to 7.2.34.

Version 6.6(Build 0812)(08/12/2020))

1. Add Role administrator.
2. Enhanced SSL/TLS compatibility.
3. Fixed user information lose bug.
4. Fixed public contacts import bug.

Version 6.6(Build 0706)(07/06/2020))

1. [Platinum]Support IPv6.
2. [Platinum]Enhanced distributed setup.
3. SMTP, POP3,IMAP support bind multiple IP and port.
4. Password encode support SHA256 and SM3.
5. Add system level message push function, support JSON, XML, Form.
6. Anti-spam support OCR.
7. Enhanced HTML editor in Webmail.<
8. Support TLSv1.3 (above Windows 2008).<
9. Upgrade Apache, PHP, OpenSSL, SpamAssassin, ClamAV version.

Version 6.5(Build 0305)(03/05/2019))

1. Webmail added one new style.
2. Support single copy to save mail.
3. Enhanced user level filter function.
4. Improve webmail performance.
5. Upgrade Apache, PHP, OpenSSL version.

Version 6.3(Build 0408)(04/08/2018))

1. Anti-spam support DBL.
2. Webmail added one new style template for mobile devices.
3. Added online view office file function to Webmail.
4. Fixed webmail security bug.
5. Fixed DKIM mail body hash fail bug.
6. Upgrade Apache, PHP version.

Version 6.2(Build 0620)(06/20/2017)

1. Added department field to user property.
2. Fixed webmail security bug.

Version 6.2(Build 0330)(03/30/2017)

1. IMAP automatically subscribes to Winmail system mail folder, Outlook 2013 and above can automatically identify.
2. OpenLDAP database engine upgrade, added automatic repair and emptying function.
3. The system group addedthe import and export functions.
4. Public contacts added the search function.
5. Improve user management ease of use.
6. Administrators can view quarantined message subject and recipient information, resend messages, etc.
7. Quarantine notification message to increase the resend and whitening list link.
8. Added the SpamAssassin filtering option in SMTP filtering, suspicious messages can be save to the quarantine.
9. The default admin administrator can delete.
10. SMTP can prohibit plain text authentication.
11. System security enhancements, encrypted password and many other sensitive data, can not return to the old version after the upgrade.
12. Enhanced Webmail security checks to fix multiple security vulnerabilities.
13. Upgrade Apache, PHP version.
14. Compiler update, the new version no longer supports Windows 2000. WinXP system must be installed sp3 patch.

Version 6.1(Build 0720)(07/20/2016)

1. Upgrade OpenSSL to 1.0.2h, support TLS 1.1 and TLS 1.2.
2. Added control for system report.
3. Improve IMAP authentication performance.
4. Improve POP3 authentication performance.
5. Fixed IMAP bug for some special mail under iOS.
6. Upgrade OpenLDAP to 2.4.44, Outlook can access the public contacts.
7. Upgrade Apache and PHP, support PHP7.

Version 6.0(Build 0330)(03/30/2016)

1. Added DKIM support.
2. Added some system report.
3. Anti-spam support Quarantine.
4. Added control the SMTP right of one mailbox.
5. Added set one mailbox to readonly.
6. Webmail support session mode.
7. Webmail support scheduled message.
8. Webmail support show statistics information.
9. Upgrade Apache to 2.4.12.
10. Upgrade PHP to 5.4.45.
11. Upgrade OpenSSL to 0.9.8zh.

Version 5.5.2(Build 0504)(05/04/2015)

1. Fixed IMAP bug for some special mail.
2. Improve mail server performance.
3. Improve webmail performance.
4. Upgrade PHP to 5.4.35.
5. Upgrade Sqlite to 3.8.7.2.
6. Fixed server crash bug.

Version 5.5(Build 1009)(10/09/2014)

1. Added system migration function, transfer accounts and mails from outside mail server.
2. Added mails auto-archiving and auto-cleaning function.
3. Webmail support add lable, starred, memo to one mail.
4. Webmail support show Send status in Sent folder.
5. Upgrade Apache to 2.4.10.
6. Upgrade PHP to 5.4.31.
7. Upgrade SpamAssassin to 3.3.4.
8. Upgrade OpenSSL to 0.9.8zb.
9. Upgrade ClamAV to 0.98.4.

Version 5.1.2(Build 0522)(05/22/2014)

1. Fixed webmail bug for IE11.
2. Upgrade Apache to 2.4.6.
3. Fixed webmail security bug.

Version 5.1(Build 0718)(07/18/2013)

1. Added System Flow Graph.
2. Added Greylisting function to Anti-Spam module.
3. Use sqlist store some system values.
4. Webmail support upload photo using iPhone and iPad.
5. Webmail support generate two dimensional code.
6. Fixed IMAP no-response problem using Outlook 2013.
7. Upgrade Apache to 2.4.4.
8. Upgrade PHP to 5.4.16.
9. Upgrade SpamAssassin to 3.3.2.
10. Upgrade OpenSSL to 0.9.8x.
11. Upgrade ClamAV to 0.97.7.

Version 5.0(Build 0620)(06/20/2012)

1. Added password-guessing detection function.
2. Rewrite DNS cache function to improve the domain query performance.
3. Webmail added multi-tab in default template.
4. Webmail added one new style template for iPad and Android touch pad.
5. The new webmail style template support iPhone.
6. Webmail support IE10.
7. Improve webmail show speed.
8. Support Windows 8.
9. Support Wap for mobile.
10. The personal address support add multi telephone number.
11. Default disable SSLv2 and weak encryption ciphers for https service.

Version 4.9(Build 0715)(07/15/2011)

1. Added mail call-back function, support webmail and Office Outlook.
2. Added another smtp port.
3. Enhanced password policy.
4. Added one new webmail style: simple, sush as hotmail.
5. Added one new webmail style: mini, can be used by pda and mobile device.
6. Webmail support IE9, Firefox 4, Chrome 10
7. Don't support Windows NT os.
8. Upgrade OpenSSL to 0.9.8r.
9. Upgrade Apache to 2.2.19.

Version 4.8(Build 0811)(08/11/2010)

1. Mail group support Multi-level.
2. Run SpamAssassin as service.
3. Webmail added one new style template.
4. Upgrade Apache to 2.2.15, run as service.
5. Upgrade PHP to 5.3.2.
6. Upgrade OpenSSL to 0.9.8n.
7. Webmail support IE7 and IE8.
8. The HTML editor support Firefox, Safari, Chrome.
9. Rewrite read mail code, impove the webmail performance.
10. Fixed clear netdisk error bug.

Version 4.7(Build 0217)(02/17/2009)

1. Enhanced Webmail mailing list, search functions, increase lable settings.
2. Added the domain of mailbox and network disk storage directory settings.
3. Added the domain signature file settings.
4. Added user mailbox and network disk storage directory settings.
5. Added multi relay server setting.
6. Added the system broadcast messages.
7. Added FTP data transfer options.
8. Added the time setting for automatic backup.
9. Enhanced MS-TNEF(winmail.dat) format to MIME.
10. Webmail added picture verification.
11. Webmail added paging display, such as address book, filter rules, etc.
12. Fixed SSL error does not timeout.
13. Fixed admin service not responding.
14. Fixed the mail from bug of calendar remind e-mail.

Version 4.6(Build 0618)(06/18/2008)

1. Rewrite Webmail by AJAX, Impove the webmail performance.
2. Added disk space warning function.
3. Quota of one mail box can large then 2GB.
4. Added deliver domain control of one mailbox.
5. Added access ip control of one mailbox.
6. The action of system smtp filter can set to "reject"/"deliver to special mail box"/"add flag [SPAM] in the subject".
7. The action of SpamAssassin can set to "add flag [SPAM] in the subject".
8. Added import and download function to smtp setup.
9. Added import and download function to access control of service.
10. Added import and download function to Pop3 download.
11. Added import and download function to mail filter.
12. When user view one mail in send folder in webmail, the user can resend.
13. Improve page speed when show public contact in Webmail.
14. Fixed upload and download bug using Secure FTP.

Version 4.5(Build 0912)(09/12/2007)

1. Enhanced international support, charset converted into UTF-8.
2. Added the log files stored setting.
3. Each domain can set an sender for system message.
4. Users login by hostname and ip address for SMTP/POP3/IMAP/FTP services.
5. POP3 download added the days for reserve copy and the user-defined analysis field.
6. Added to import user from the windows system AD.
7. Added Webmail WAP function.
8. Webmail's address list/address group added to batch delete.
9. Webmail's calendar added sorting function.
10. Webmail added the default signature setting.
11. Shared events/task added expiry time and password control.
12. Shared disk added expiry time and password control.
13. Fixed mail monitoring bugs.
14. Fixed DNS query bugs.
15. Fixed backup bugs.
16. Upgrade Apache to 1.3.37.
17. Upgrade PHP to 4.4.6.
18. Upgrade OpenSSL to 0.9.8e.
19. Upgrade SpamAssassin to 3.17.
20. Don't support Windows 9x,ME.

Version 4.4(Build 1124)(11/24/2006)

1. Enhanced SMTP filter, added SPF(Sender Policy Framework).
2. Enhanced SMTP filter, added trap mailbox function.
3. Enhanced right control of mailbox.
4. Webmail added one new style template.
6. Upgrade SpamAssassin to 3.13.
7. WebMail performance tunning.
8. Fixed one Calendar BUG in WebMail.
9. Fixed one mail view BUG in WebMail.

Version 4.3(Build 0302)(03/02/2006)

1. Webmail added Split recipients to compose function.
2. Webmail added filter JavaScript code to view mail function.
3. Upgrade Apache to 1.3.34.
4. Upgrade PHP to 4.4.1.
5. Upgrade OpenSSL to 0.9.8a.
6. Upgrade SpamAssassin to 3.10.
7. WebMail performance tunning.
8. Webmail added contact share function.
9. Fixed some security problem of Webmail.
10. Fixed send mail to AOL BUG.
11. Fixed postmaster can't receive mail BUG.
12. Fixed IMAP compatibility problem with JavaMail.

Version 4.2(Build 0824)(08/24/2005)

1. Enhanced SMTP filter, added Real-time White List(RWL).
2. Enhanced receiving and sending limit, can send to/receive from the special domain.
3. Enhanced password encrypt method, support md5, sha1, plain, crypt(DES).
4. Update database engine, improve database analyse speed.
5. Update SpamAssassin to 3.02 version.
6. Enhanced relay delivery, support SSL connections.
7. Webmail added certificate, can sending/receiving, read S/MIME format message.
8. Webmail added personal address group.
9. Adjusted page structure when Webmail select To/CC/BCC.
10. Webmail added recent recipients list.
11. Webmail automatically fill recipients address.
12. Webmail can download attachment in eml format file.
13. Webmail can mark as read/unread in message list.
14. Webmail can support Punycode format domain.
15. Webmail reduced analyse, improve speed when downloading attachment.
16. Webmail display file size when downloading attachment.
17. Webmail added from select list.
18. Fixed SMTP SSL connections bug.
19. Fixed Mozilla Thunderbird IMAP browser images slowly and sent status error.
20. Removed Secure LDAP.
21. IMAP server support IDLE command.
22. Separated anti-virus notification and attachment filter notification.
23. COM added interface for modified user and domain sending/receiving limit.

Version 4.1(Build 0428)(04/28/2005)

1. Allow MAIL FROM command with a null mail address (MAIL FROM: <>)
2. Added the limition of incoming/outcoming message size of.
3. Enhanced POP3 download, support SSL connection.
4. Enhanced spam filter, included SpamAssassin.
5. POP3 service support LAST command.
6. Enhanced mail montior and signature, assigned to domain manager.
7. Enhanced scheduler, disable/delete not login user and empty special folders.
8. Enhanced mail user's right.
9. Added import and export personal address in Webmail.
10. Webmail added two themes.
11. Menu display new message number in Webmail.
12. Auto-reply added start date and end date.
13. Adjusted Webmail's directory structure, improved security.
14. Fixed import user account bug.
15. Fixed time span bug in the scheduler.
16. Fixed reply message bug in text mode.
17. Fixed Mozilla Thunderbird POP3 authentication bug.
18. Added mail from for relay/directly delivery.
19. Fixed RAR encryped package misinformation virus.
20. Fixed shared file visit failed when mailuser changed password.
22. Add a Outlook Plug-in utility.
23. Fixed Opera, Mozilla Thunderbird IMAP command bug.
24. Added Spell Check in Webmail.
25. Webmail Supports Japanese and French languages.

Version 4.0(Build 1318) (01/18/2005)

1. Fixed file date format bug in Webmail.
2. Fixed show installation path bug in Webmail.
3. Fixed upload/download check bug in Webmail.
4. Fixed JavaScript check bug in Webmail.
5. Fixed IMAP folder check bug.
6. Fixed ftp port command check bug.
7. Upgrade unzipdll.dll.

Version 4.0(Build 1112)(11/12/2004)

1. Added Network Storage feature in Webmail to make the share of file and directory more efficient. (Instead of sending file to a group of people, now there is a choice to upload the file to Network Storage section and send out the link only. The recipient can retrieve the file at any time.) User can use popular FTP client tool to manage the Network Storage as well.
2. Added Calendar feature to Webmail.
3. Added Notebook feature to Webmail.
5. Added Bulletin Board feature to Webmail.
6. Added support for SMTP authentication in Domain Direct Delivery.
7. Added support for compressed attachment (*.zip, *.rar) in anti-virus module.
8. Added expiration feature to mailbox.
9. Added password retrieval function to Webmail.
10. Added automatically login function to Webmail.
11. Support send mail to IMAP Public Mailbox in Webmail.
12. Fixed display issue under XP.
13. Fixed RBL loop issue.
14. Added VRFY and EXPN command to SMTP service.

Version 3.8(Build 0820)(08/20/2004)

1. Added mail from and rcpt to check to SMTP service.
2. Added white email address list.
3. Enhanced mail filter function.
4. re-design IMAP function.
5. Fixed Webmail Session Timeout bug.
6. Fixed Pop3 download thread bug.
7. Fixed RBL check bug.
8. Fixed install bug in windows 2003.

Version 3.8(Build 0509)(05/10/2004)

1. Supports SSL secure communication for HTTP.
2. Added text filter entry for the whole mail body.
3. Added password saving for administration console tool.
4. Enhanced the SMTP SSL.
5. Added frequency control for SMTP/POP3/IMAP4.
6. Added max connection control for SMTP/POP3/IMAP4.
7. Added administration control for mail group.
8. Added import and export for mail group.
9. Added EHLO/HELO check for SMTP service.
10. Added user level filter to Webmail.
11. Added register id keep to Webmail.
12. Added download whole mail function to Webmail.
13. Webmail Supports Greek languages.
14. Fixed attachment filter bug.
15. Fixed view mail queue dump bug.
16. Fixed some IMAP command bug, support Outlook 2003.
17. Fixed domain MX lookup bug.
18. Fixed LDAP service dump bug.
19. Fixed show "one_filtered " bug for Webmail.
20. Fixed discloses installation path bug for Webmail.

Version 3.6(Build 0202)(02/02/2004)

1. Enhanced the mail filter, you can adjust order of rules.
2. IMAP support the sub folder and the name of folder can include space.
3. Enhanced the initializers tools.
4. Added remove the temporary file.
5. Supports setting max mail size of one user.
6. The mail group can add external mail address.
7. Supports Norman in Antivirus Control.
8. Added import and export function to Public Contacts
9. Webmail added auto-save the writing mail to draft function.
10. Added online receive the user's outside pop3 by webmail.
11. Webmail can select the public address and mail group when writing webmail.
12. Webmail added copy mail function.
13. Enhanced supporting UTF7, UTF8, UUCODE mail format by webmail.
14. Webmail added user can select the infomation add to public contacts or not.
15. Supports auto converting MS-TNEF (winmail.dat) attachment by webmail.
16. Added search user function to web-based administration.
17. Added Setup WebMail to Apache document to help file.
18. Fixed user lost the last visit time bug.
19. Fixed the public contacts when modify primary domain.
20. Fixed the DNS check bug when send mail to local domain.
21. Fixed the lookup user when send mail to the alias domain.
22. Fixed the default mailbox of one domain will be clear bug.
23. Fixed browser webmail occurs error when using IE5.

Version 3.5(Build 1106)(11/07/2003)

1. Added the function of reading mails in the IMAP public folder to Webmail.
2. Enhanced the function of deleting user (s) in public contacts.
3. Added the limitation to personal address.
4. Added a function that a new user can be added to the everyone group.
5. Enhanced the filter function for easier distribution of mails.
6. Supports names of the user-defined service banner displays.
7. Fixed errors occurred from Web-based administration when adding new user.
8. Fixed errors on Webmail signature format and saving it.
9. Supports Swedish language for Web-based administration.

Version 3.4b(Build 1022) (10/22/2003)

1. Supports SSL secure communication for SMTP, POP3, IMAP, LDAP.
2. Added set HELO host function to SMTP Setup.
3. Outside address could be added to LDAP public contacts.
4. Added IMAP Public Folder, can setting view/post/delete right.
5. Supports Socks4,5 internet connect.
6. Added text filter entry for the whole mail header.
7. Added Attachment Filtering to Antivirus Control.
8. Supports Panda, RAV, F-Secure in Antivirus Control.
9. Rejects if sender's mail domain is not found IN DNS.
10. Checks local account in SMTP connect.
11. Provides COM object that supports ASP or PHP program development.
12. Added the function of replacing the mailbox name with username in POP3 download.

14. Added Web based Administration.
15. Added Request Notify function to Webmail.
16. Added Save to Draft function to Webmail.
17. Added customer folder to Webmail, making it easier to change banner and text.
18. The Public Contact of Webmail will show user's full name.
19. Webmail Supports Norwegian, Danish languages.
20. User can input domain when login by Webmail.
21. Supports notepaper selection when editing a html format mail in Webmail.
22. Fixed webmail can't login bug when user change the port of POP3.
23. Fixed Webmail's Signature format bug.
24. Fixed the bug of false notice of full mailbox.
25. Fixed IMAP, POP3 protocol bug when user access by ximain Evolution.
26. Fixed bug of repeatedly receiving mails when using POP3 download.

Version 3.0(Build 0808) (08/08/2003)

1. Added LDAP service allows remote clients to search public contacts.
2. Added IMAP server.
3. Added mail signing.
4. Added system backup and restore function, and enhanceed mail backup.
5. Added someone domain direct delivery.
6. Added Germany and Swedish languages for webmail.
7. Enhanced the filter rule.
8. Fixed the bug that the user could not be found when sending a mass mail.
9. Added time section of scheduler.
10. Added days of history log.
11. Able to Upload a large attachment after adding Webmail to IIS.
12. Fixed the bug that user used space and mails count less than zero.
13. Added checking mail address and invalid address during SMTP communication.
14. Added bad reception list to SMTP.
15. Sorts MX record by the PRI.
16. Fixed send exception when sometimes SMTP communication.
17. Fixed the error occurred when searching MX in CheckPoint firewall.
18. Added the sort function in user list and domain list.
19. Added importing user and exporting user function.
20. Improved prompt of admin timeout.
21. Fixed the bug that Netscape Messenger sent error during SMTP authentication.
22. Added drop function in Webmail.
23. Fixed some little bugs, changed the spelling of some words.

Version 2.4(Build 0530) (05/30/2003)

1. Fixed close open replay not active when first use initialize wizard tool.
2. Fixed system string format bug.
3. Fixed the bug that mail header lost some tags when using webmail.

Version 2.4(Build 0516)(05/20/2003)

1. Supports multiple administrators, supports independent domain administrator.
2. Supports more domain attributes.
3. Supports mutiple forward addresses at one mailbox attribute.
4. Supports converting MS-TNEF (winmail.dat) attachment into MIME message.
5. Supports setting up WebMail as a virtual directory or site of IIS.
6. WebMail performance tunning.
7. Supports Windows 2003 server.
8. The user name of POP3 download can include % character.
9. Fixed the bug that webmail could not send mail, when changing smtp port.
10. Fixed the error that server could not send mail to some domains, when enabling DNS cache option.
11. Fixed Webmail JavaScript error, when upgrading a new version.

Version 2.3 (04/02/2003)

1. Added initialize wizard tool, Let you setup a mail system in one minute.
2. Added view one mail in mail queue by Outlook function.
3. Added register a new mailbox function in WebMail.
4. Added insert table and img/flash url function to WebMail HTML editor.
5. WebMail performance tunning.
6. Fixed WebMail setup bug.
7. Fixed WebMail bug of date format error.
8. Fixed WebMail bugs in multiple domains system.
9. Trial Version supports 20 mailboxs.
10. Fixed multiple attachment format error bug.
11. Fixed the bug of outside distribution right control .
12. Fixed bug that autorun can not be disabled.
13. Fixed other little bug; changed the spelling of some words .

Version 2.02 (03/04/2003)

1. Added Hotmail-like Webmail function, you can view and compose in Brower.
2. Supports support three mode anti-virus, include plugin api, support many anti-virus engines.
3. Enhanced mailbox monitor function.
4. Added mailbox backup function.
5. Mailed autoforward can set to save copy.
6. Supports setting timeount of SMTP, POP3 download.
7. Supports enable or disable one schedule job.
8. Supports RBL(Real-time Blackhole Lists) server check.
9. Supports DNS cache.
10. Fixed smtp send mail stop bug.
11. Fixed the bug that sometime 95% of CPU was occupied.
12. Fixed the bug that old system log files can't be cleared.

Version 1.22 (01/16/2003)

1. Smtp authentication can check "mail from" field.
2. User name of "Relay server" can include "@" character.
3. Fixed a loop bug of POP3 download with sending mail to internet setting.
4. Fixed the bug of mail delivery error messages.
5. Added timeout control to anti-virus function.
6. Optimized installation package. Downsized the package.

Version 1.20 (01/08/2003)

1. Added mail anti-virus function. The application supports several third-party anti-virus engines.
2. Two DNS servers could be set up manually.
3. Time-out function will be enabled when finding MX record.
4. Displays more information when check the latest version.
5. Error messages of starting write to system application event.
6. Control user's outsite send and receive outsite right.
7. Fixed send mail to hotmail.com BUG.
8. Fixed Mail Gateway/POP3 Download BUG.
9. Fixed Mail Monitor BUG.

Version 1.04 (11/29/2002)

1. Monitors all of inbox and outbox mail that the account is set to be monitered.
2. administration console communicates with server by SSL Encryption Protocol. So, Ver.1.04 and Ver.1.02 are not intercommunication
3. Modified some BUG : send mail to Groups, modify Groups and etc.
4. Added check the latest version function
5. Allowed to show Used Space, custom POP3 setting
6. Adjusted the interface and icon of the administration console.
7. Support Windows 95

Version 1.02 (11/01/2002)

1. SMTP/ESMTP
2. POP3
3. NT domain authentication
4. Users and User Aliases
5. Groups
6. Domains and Domain Aliases
7. Mail Gateway: POP3, ETRN
8. Mail filter and monitor
9. Scheduling
10. System Log


Register and Upgrade

Winmail server is a software that can be used for free within 30 days with 20 accounts supported.
For getting more accounts and the newest technical support and helping us to improve the Winmail server better, please register now!
And we will provide free register for several accounts to those who publish articles about Winmail server on all pop of media, websites , If you have published such article (s), mail to:webmaster@winmail.cn

For Register and Order information, please visit http://www.winmail.cn/register.php

For more information, please visit http://www.winmail.cn
For newest upgrade information, please visit http://www.winmail.cn


About us

Contact us

Daily support: webmaster@winmail.cn (Dealing with daily work, suggestions, website link and so on)
Technical support: support@winmail.cn (Dealing with the software setup, and other technical problems)
Register: register@winmail.cn (Dealing with all of register problems)
Product Website: http://www.winmail.cn

For now, we only provide Email support to this shareware


FAQ

Installation and Setup

Do I need to restart my computer after installation?
How do I ensure data is not lost when upgrading to a new version of Winmail Server?
Why can't I start the *** service after installation? (SMTP/POP3/ADMIN/HTTP/IMAP/LDAP)

Registration

What is different about the registered edition?
How soon will I receive registration information after paying?

Sending Mail

Even though the SMTP service of Winmail has started, I can't send email.
I can receive mail but can't send mail
Why can't I send mail to an outside mailbox via Internet?
Why do I get the message "550 5.7.1 Unable to relay for xyz@abc.com" when sending mail using Outlook?
Why do I get the message "553 sorry, you don't authenticate or the domain isn't in my list of allowed rcpthosts(#5.7.1)" when sending mail to another domain by Outlook?
I have configured "My server requires authentication" in Outlook, but I still get the message "550 5.7.1 Unable to relay for (New)" when sending mail.
My mail server is configured for SMTP authentication, so why can an invalid user still use SMTP of server to send mail?
Why does the server run inconsistently? Sometimes there are several hours' delay.
How can I stop someone else from using my mail server for forwarding?
Can I send external mail without a domain name or static IP address?
Will I be notified when I send mail to a non-existing domain or account?
Why do I get error message "Can't connect the server. Error: 10061" when I receive and send mail by client software?

Receiving Mail

Why I can send external mail with non-standard SMTP port 25, but can't receive external mail?
Why can I receive mail but can't send mail?
Winmail Server is installed on LAN server with inside IP of 192.168.x.x and outside static IP of 202.x.x.x. I can send mail but can't receive. What should I do?
Why can't I receive mail from external domain such as yahoo.com or hotmail.com?
Why am I notified of an incorrect password while using POP3 on a remote mail client?
My system stops responding while receiving mail with Outlook 2002.
Why can't I open attachment winmail.dat?

Domain Name and DNS

I have several domain names such as aaa.com, bbb.com, ccc.com. Can I use all these domain names for one user?
Must I apply for a domain name and make analysis to send or receive mail by Internet?

Administrative Tool

Network is available and password entered is correct, but my administrative console can't connect with Winmail Server.
What do I do if I forget my administrator password for Winmail Server?

Configuration

Should I configure a mail server after applying enterprise Postoffice?
We have our own domain name and enterprise mailbox, but we wish to construct our own mail system. Can we add two MX records to enable forwarding one message to two different mail systems?
How do I configure my network for HTTP + LAN Internet access?
Can WinMail Server be installed on a server other than my dial-up server?

Daily Maintenance

How do I backup Winmail data?
Does Winmail support account permission control, such as receive-only and automatic save and backup on server?
My Winmail Server is being used as a Spam server. I have configured SMTP authentication, but how do I delete thousands of messages in queue?
Where is received mail stored? How long can mail be stored?
How do I configure a service to be used only by users of a specific network segment?
Can I disable TELNET 25 or TELNET 110? If using TELNET 25, can I disable EXPN and VRFY?

Other

Why does Winmail sometimes close automatically after I install Norton anti-virus program on server?
I installed Winmail on a server which is configured properly and has one network card and two IP addresses. How do I enable the two IPs to work normally?
Does Winmail support free application and approval?
What is RBL?
How do I add a Webmail login box to my home page?
How do I change the signature of mail sent by Webmail?
How do I change the logo image, advertising picture and notification information of Webmail?
I can logon to Webmail with http://mail.mymailerver.com:6080, but want to logon without typing in the port after the address.
Is there an easier way to choose my own domain from multiple domains on the Webmail login page?
Why I can't change password and set up auto-forwarding after configuring Webmail in IIS?
Why can't I attach a file to mail after configuring Webmail in IIS?
Why do I get a page error after configuring Webmail in IIS?
Why do I get the error message 'create com instance error' when I login to Webmail?
Why do I get the error message 'Can't contact LDAP server' when using Webmail?

Do I need to restart my computer after installation?
There is no need to reboot if there is no prompt after installation. Reboot is recommended after upgrading to a new version of Winmail Server.

How do I ensure data is not lost when upgrading to a new version of Winmail Server?
When installing a new version, you may choose to reserve (leave a copy) of your original data and system settings. You can also backup all files of Winmail Server before upgrading. Refer to the help file for detailed instructions.
Recommended upgrade approach:
1.Exit winmail;
2. Run new Service Package;
3.Select to reserve data;
4.Resart Winmail Server.

Why can't I start the *** service after installation? (SMTP/POP3/ADMIN/HTTP/IMAP/LDAP)
Two conditions may exist:
(1)the service does not appear in the list of available services
(2)the service does appear in the list of available services, but does not start.
Failed in starting SMTP/POP3/ADMIN/HTTP/IMAP/LDAP
(That is, the icon for a service (SMTP/POP3/ADMIN/HTTP/IMAP/LDAP) is red in System Setup->System Service and there is no response to telnet ports 25/110/6000/6080/143/389. For example, for POP3 service, telnet xxx.xxx.xxx.xxx 110.)
.Confirm that SMTP/POP3/ADMIN/HTTP/IMAP/LDAP ports are not occupied. If there is a port conflict, please stop programs occupying ports, or change to another port.
.In System Setup->System Service, select SMTP/POP3/ADMIN/HTTP/IMAP/LDAP and click Start button.
.View Start Log of System Log->System for the service in question (SMTP/POP3/ADMIN/HTTP/IMAP/LDAP)
.If the SMTP/POP3/ADMIN/HTTP service starts normally but one of the SMTP/POP3/ADMIN/HTTP/IMAP/LDAP services cannot start with system startup, select POP3 and click the Setup button, then select Auto-start with system startup in System Setup->System Service.
.If the service is still starting after following these procedures, change ports configured for POP3 option and restart Winmail Server to see if it works normally.
Success in starting SMTP/POP3/ADMIN/HTTP/IMAP/LDAP.
(That is, the icon for the SMTP/POP3/ADMIN/HTTP/IMAP/LDAP service is green in System Setup->System Service)
.In System Setup->System Service, select SMTP/POP3/ADMIN/HTTP/IMAP/LDAP and click the Setup button.
.View binding IP (don't use 127.0.0.1 but your NIC IP or 0.0.0.0), ports, overtime settings and access control.
.In System Setup->System Service, select SMTP/POP3/ADMIN/HTTP/IMAP/LDAP and click Stop button and then click Start button.

What is different about the registered edition?
.No time limit
.Free upgrade in service period.
.Supports more users.
.Free and timely email technical support within service period.
.New version release alert.

How soon will I receive registration information after paying?
After we receive your payment confirmation we will email registration code to you in half an hour.

Even though the SMTP service of Winmail has started, I can't send email.
This condition is usually caused by incorrect configuration of SMTP parameters. Often, the client has not set up required SMTP server authentication. Possible symptoms of this problem:
.In Outlook, Server will respond: '553 sorry, your don't authenticate and the domain isn't in my list of allowed rcpthosts(#5.7.1)'.
.Server installed Rising Anti-virus program.
.Monitoring mail will cause failure of sending mail.
Please refer to the following FAQ for additional information.

I can receive mail but can't send mail.
.Make sure your computer can connect with external host. Execute following command in command line:
C:\> telnet mx1.mail.yahoo.com 25
220 YSmtp mta120.mail.re2.yahoo.com ESMTP service ready
C:\> telnet mx1.hotmail.com 25
220 mc1-f11.hotmail.com Microsoft ESMTP MAIL Service, Version: 5.0.2195.6824 ready
.If you see this response returned, the connection is successful, otherwise the connection failed.
.Do not use mail firewall software. Firewall software will monitor SMTP and POP3 ports which would influence mail server.
.Check your DNS Server settings. After login to the administrative tool, go to System Setup->Advanced Setting->System Option. Select Using the following DNS Server->type in local DNS server address in Primary DNS server and Second DNS server boxes->click Apply.

Why can't I send mail to an outside mailbox via Internet?
Usually, sending failure is caused by incorrect DNS settings. Click the icon on the server and select Service to view settings of DNS server. Confirm the following items:
.DNS server address has been configured.
.DNS server address is available.
.DNS server works properly.
.If using default DNS service, confirm DNS has been converted correctly.
Another cause may be System security settings or firewall setup causing UDP communication failure. Modify security settings to allow UDP package access.

Why do I get the message "550 5.7.1 Unable to relay for xyz@abc.com" when sending mail using Outlook?
The message is not from Winmail but from the SMTP server of IIS. Please enter IIS administrative program to stop SMTP service, and then restart SMTP service of Winmail. You may change type of Simple Mail Transport Protocol (SMTP) to 'manual' or 'disable' in system service setting to stop completely.

Why do I get the message "553 sorry, you don't authenticate or the domain isn't in my list of allowed rcpthosts(#5.7.1)" when sending mail to another domain by Outlook?
Your SMTP server requires authentication but client has not configured this. Complete SMTP settings.

I have configured "My server requires authentication" in Outlook, but I still get the message "550 5.7.1 Unable to relay for (New)" when sending mail.
.Telnet yourserverip 25, display 220 ******************************************
.Type in EHLO, display 502 unimplemented (#5.5.1)
If these do not resolve the problem, it may be that a Cisco PIX firewall is in use. The Cisco PIX built-in MailGuard or MailHost blocks ESMTP commands such as EHLO. Please shut down Mail Guard or contact your firewall provider.

My mail server is configured for SMTP authentication, so why can an invalid user still use SMTP of server to send mail?
The server does not require authentication when:
.Outgoing host address is in trusted host list;
.Domain directions belong in the local domain, domain alias or Direct Delivery Domain list.

Why does the server run inconsistently? Sometimes there are several hours' delay.
Check the following aspects of your network setup for possible delays:
.Network status
.DNS analysis
.Large size mail messages
.Mail server is used for forwarding by someone else

How can I stop someone else from using my mail server for forwarding?
Enable server SMTP authentication function. Login to Mail Server with Administrative Tool->System Setup->SMTP Setup->Basic Parameter->select Start Authentication->click Apply.

Can I send external mail without a domain name or static IP address?
Even if you have no domain name or static IP but can access the Internet, you can use Winmail to send external mail. You may not always receive incoming mail from an external domain, however.
If you are ADSL user, you can apply for a dynamic domain name to construct Mail Server.

Will I be notified when I send mail to a non-existing domain or account?
If mail was not delivered within a specific period, it will be returned to sender with an indication of which address delivery failed.

Why do I get error message "Can't connect the server. Error: 10061" when I receive and send mail by client software?
IP address error: IP address, which is not Winmail Server IP, and setup of POP3 and SMTP of client software is not correct.
Port error: Ports of POP3 and SMTP of client software are not correct.
Winmail program doesn't run. You can check system threading if mailerver.exe running.

Why I can send external mail with non-standard SMTP port 25, but can't receive external mail?
If SMTP doesn't use standard port 25, other mail servers can't distinguish the SMTP port of your mail server when delivering mail with default connection, which would result in connection and receiving failure. It is recommended that you do not change SMTP server port when communicating with other mail servers.

Why can I receive mail but can't send mail?
Some possible reasons:
.You have no static IP, so external mail server can't connect to your server or SMTP 25 port rejects outside access.
.Your domain name has been registered, but domain name and MX records have no DNS analysis. Contact your domain name service provider and for help making related configuration.
.Firewall software is occupying SMTP and POP3 ports, causing Winmail Server to work abnormally.

Winmail Server is installed on LAN server with inside IP of 192.168.x.x and outside static IP of 202.x.x.x. I can send mail but can't receive. What should I do?
.Apply a domain name. To receive mail, you need an Internet domain name or a dynamic domain name.
.If you access the Internet by Proxy, make NAT mapping on Proxy, i.e. map port 25, 110, 6080 of IP 202.x.x.x. to IP 192.168.x.x of Winmail Server.
.If you have a domain name, convert MX records to your Winmail Server IP address.

Why can't I receive mail from external domain such as yahoo.com or hotmail.com?
The following conditions must be available to successfully receive mail from Internet:
.Valid Internet domain name such as yourdomain.com
.Domain name can be converted to IP installed with Winmail Server.
.New mail domain, yourdomain.com in Winmail, has corresponding mail address user@yourdomain.com.
If all above conditions are met but you still can't receive mail, the most likely possibility is that domain name analysis is not correct. Assuming your address is user@yourdomain.com, make sure MX records of yourdomain.com are pointed to the right address. Check with nslookup command, as follows:
C:\> nslookup
Server: dns.nsmc.edu.cn
Address: 211.83.0.66
>set type=mx
>nsmc.edu.cn(type in domain name to be convertd)
Server: dns.nsmc.edu.cn
Address: 211.83.0.66
nsmc.edu.cn preference = 10, mail exchanger = mail.nsmc.edu.cn
smc.edu.cn nameserver = dns.nsmc.edu.cn
mail.nsmc.edu.cn internet address = 211.83.0.67
dns.nsmc.edu.cn internet address = 211.83.0.66
>exit
C:\>

After you get mail exchanger=mail.nsmc.edu.cn message, use
C:\>telnet mail.nsmc.edu.cn 25
to confirm Winmail program is working normally.

Why am I notified of an incorrect password while using POP3 on a remote mail client?
Some possible reasons:
.You haven't added an account in Winmail, or you have added an account with a password that is different from client settings.
.Winmail applies standard SMTP port 25 and POP3 port 110. If these two main ports are occupied by other mail servers or services, Winmail will not perform as desired. For example, if Winmail is installed on a computer using dial-up access, check to be sure WinGate is not using port 110 and 25. If there is a port conflict, stop the other mail server, or shut down application programs using SMTP and POP3 ports, or open port 110 and 25 of WinGate.
.Users not in the main domain must enter their full email address when configuring username in Outlook. For example, username of user test who is not in the main domain abc.com should be test@abc.com.

My system stops responding while receiving mail with Outlook 2002.
This is a Microsoft bug. Please see:
http://support.microsoft.com/default.aspx?scid=kb;EN-US;Q329349
http://support.microsoft.com/?kbid=331866

Why can't I open attachment winmail.dat?
winmail.dat is anRTF format file developed for Microsoft Outlook and can only be opened with Outlook.
Solution: Don't use Outlook for sending mail in RTF format;
http://nihlibrary.nih.gov/Relais/mime.htm and http://www.ust.hk/itsc/email/tips/tnef/

I have several domain names such as aaa.com, bbb.com, ccc.com. Can I use all these domain names for one user?
Yes, set up domain aliases.

Must I apply for a domain name and make analysis to send or receive mail by Internet?
Winmail Server can communicate with mailboxes of other domains, so you must own a domain name. If you are only using Winmail Server internally, a domain name is not necessary.

Network is available and password entered is correct, but my administrative console can't connect with Winmail Server.
Some possible reasons:
.Administrative console version is different from Winmail Server's.
.Your firewall won't open the Winmail manager port. Default port is 6000 but you can change it.

What do I do if I forget my administrator password for Winmail Server?
Open userauth.cfg of Winmail Server installation directory with Notepad and change the following fields from:
<adminuser>
<item>
<username>admin</username>
<password>{md5}21232f297a57a5a743894a0e4a801fc3</password>
</item>
</adminuser>

to

<adminuser>
<item>
<username>admin <password>newpassword </item>
</adminuser>

Then login to Winmail Server with new password.

Should I configure a mail server after applying enterprise Postoffice?
After applying enterprise Postoffice, you can choose to construct your own mail server or not. If you configure the mail server yourself, you may have poor Internet access, and permanent connection with the Internet will not be available. Be sure to open external accounts for director class or above employees and internal accounts for most staff.

We have our own domain name and enterprise mailbox, but we wish to construct our own mail system. Can we add two MX records to enable forwarding one message to two different mail systems?
You may set up a new mail system and create all new mailboxes. Shut down the mail service and point an MX record toward the new mail server, so all received mail will be sent to the new mailbox. You can receive mail for the old enterprise mailbox with Outlook. However, mail sent to the mailbox from an external domain mail system can not be accepted.

How do I configure my network for HTTP + LAN Internet access?
See Application Solutions.

Can WinMail Server be installed on a server other than my dial-up server?
It is not necessary to install Winmail Server on the dial-up server; it may be installed on any computer which can access the Internet through the LAN. See the section on Working with Proxy Servers.

How do I backup Winmail data?
Currently Winmail does not have support for data backup; this will be available in a later edition. You can backup Winmail data by using Windows Scheduler Task, as follows:
.Backup mailbox account: Set up a scheduled operation in Windows Scheduler Task to copy .cfg extension file in the directory of ~/server to another directory.
.Backup user mail: Set up a scheduled operation in Windows Scheduler Task to copy compressed ~/server/store directory to another directory.
.Full backup: Compress ~/server directory and set up a scheduled operation in Windows Scheduler Task to copy it to another directory.
Note: ~ refers to Winmail installation path; default path is C:\Program Files\Magic Winmail.

Does Winmail support account permission control, such as receive-only and automatic save and backup on server?
You can set up account permissions in Winmail Server. For example, you can apply restrictions so that a user can not send mail to or receive mail from an external domain, and all mail can be automatically backed up to a certain account or monitored by one administrator.

My Winmail Server is being used as a Spam server. I have configured SMTP authentication, but how do I delete thousands of messages in queue?
.Stop Winmail Server and delete all subdirectories and files in mail queue directory (default path is ~\server\queue).
.Restart Winmail Server to automatically restore all subdirectories.
Note: ~ refers to Winmail installation path; default path is C:\Program Files\Magic Winmail.

Where is received mail stored? How long can mail be stored?
Received mail messages are stored in ~\server\store directory and can be stored for as long as you choose.
Note: ~ refers to Winmail installation path; default path is C:\Program Files\Magic Winmail.

How do I configure a service to be used only by users of a specific network segment?
In System Service of administrative console, configure setup and enabling/disabling of specific hosts or network computer access permissions for each service.

Can I disable TELNET 25 or TELNET 110? If using TELNET 25, can I disable EXPN and VRFY?
TELNET 25 and TELNET 110 can't be disabled.
Winmail Server does not support EXPN and VRFY commands, as these would cause server security problem and most mail servers do not support these.

Why does Winmail sometimes close automatically after I install Norton anti-virus program on server?
This problem will occur with Norton enterprise edition, Norton net edition and Norton single edition. Since Norton can directly kill viruses in message files, which conflicts with Winmail queue processing program and results in system resource exhaustion, Winmail will close itself automatically.
Solution: Remove the following 5 directories in Norton.
C:\Program Files\Magic Winmail\server\queue\bounce
C:\Program Files\Magic Winmail\server\queue\header
C:\Program Files\Magic Winmail\server\queue\msg
C:\Program Files\Magic Winmail\server\queue\status
C:\Program Files\Magic Winmail\server\queue\todo

I installed Winmail on a server which is configured properly and has one network card and two IP addresses. How do I enable the two IPs to work normally?
Make sure the binding IP in SMTP/POP3 properties is not a static IP (inside IP or outside IP) but 0.0.0.0 (all IP addresses of server).

Does Winmail support free application and approval?
Winmail supports free application and approval.
For version 2.3(0402), the administrator can select System Setup->Advanced Setting->System Parameter->Basic Parameter to configure how to apply Webmail values.
For versions later than 2.3(0402), administrator can set up whether to apply Webmail or not. Select Domain Setting->Domains to modify applying Webmail settings in extended properties of domains.

What is RBL?
RBL is Real-time Blackhole List, which is a service for checking the address of Spam senders, provided by anti-spam organizations.
RBL server addresses commonly used include:
.dnsbl.njabl.org;
.bl.spamcop.net;
.sbl.spamhaus.org;
.dun.dnsrbl.net;
.dnsbl.sorbs.net

How do I add a Webmail login box to my home page?
You can add the following code to a suitable place on your home page:

<!--
Replace http://localhost:6080/login.php with your URL
-->
<form name="form1" action="http://localhost:6080/login.php" method=post>
username: <input type="text" name="f_user" value="" size="12" maxlength="32">
<!--
Replace yourdomain with your domain name
-->
<input type="hidden" name="f_domain" value="yourdomain">
password: <input type="password" name="f_pass" value="" size="12" maxlength="32">
<input type="hidden" name="f_lang" value="en">
<input type="submit" name="submit" value="Login">
<input type="reset" name="reset" value="Reset">
</form>

How do I change the signature of mail sent by Webmail?
Edit ~\server\webmail\config.php file as follows:
$appname = "WebMail | Power by Winmail Server";
$footer = "
______________________________________________________
Message sent using $appname $appversion
";

Add your signature at the right of the "footer" equal sign.

How do I change the logo image, advertising picture and notification information of Webmail?

To change logo:
Replace the following files (~ refers to Winmail installation path and default path is C:\Program Files\Magic Winmail):
Default page
~\server\webmail\themes\default\images\magiclogo.gif
(this is the icon on the upper left hand corner)
~\server\webmail\themes\default\images\mail_pic.jpg
(this is the image with letter Magic Winmail in the middle)
~\server\webmail\themes\default\images\mail_pic2.jpg
(this is the image with letter Magic Winmail in the middle)
~\server\webmail\themes\default\images\winmail.gif
(this is the image with letter Winmail in the middle)

Page after login
~\server\webmail\themes\default\images\winmaillogo.gif
(this is the icon on the upper left hand corner)
~\server\webmail\images\banner.gif
(this is the advertisement banner)

Registration page
~\server\webmail\themes\default\images\winmail_logo.gif
(This is the icon on the upper right hand corner)
Note: For version 3.4 and later upgrades, you can only replace related image files under ~\server\webmail\www\customer

To change title and link:
Edit all files under ~\server\webmail\langs as follows:
common_page_title = WebMail | Power by Winmail Server
homepage = Power by Winmail Server
homepage_url = http://www.magicwinmail.com
contact_us =
webmaster_mail = support@magicwinmail.com
banner_url = images/banner.gif
Edit content at the right of the equal sign.
Note: For version 3.4 and later upgrades, you can only replace related language file fields under ~\server\webmail\www\customer

To add a language file:
Copy an existing language file and rename (extension must be .txt).
Edit content at the right of the equal sign.
Add fields at the end of ~\server\webmail\inc\config.languages.php as follows:
$languages[] = Array(
"name" => "English",
"path" => "en" //words in quotation marks are your language file name without extension

To disable changing language:
Edit related content of ~\server\webmail\inc\config.languages.php file:

$allow_user_change_language = yes;

Replace yes with no to disable this capability.

Set up default language:
Edit related content of ~\server\webmail\inc\config.languages.php file to

$default_language = 0; //index of language, starting with zero

I can logon to Webmail with http://mail.mymailerver.com:6080, but want to logon without typing in the port after the address.
.Change port of HTTP service to 80, but make sure there is no other web server installed on your machine.
.Change HTTP service port:
.Login administrative tool->select System Setup->System Service->in right page select HTTP and click modify to change port.
.If you have IIS installed on your server, you can set up Webmail in IIS. Refer to the section on running Webmail in IIS.

Is there an easier way to choose my own domain from multiple domains on the Webmail login page?
In version 2.4 and later, a parameter of Direct login URL has been added in domain properties, which enables the login page to display the login URL. For example, if you have a domain, abc.com, and point mail.abc.com toward IP of mail server in DNS, you can type http://mail.abc.com or mail.abc.com without port 6080 in Direct login URL box.

Why I can't change password and set up auto-forwarding after configuring Webmail in IIS?
Reconfigure IIS and permission of files and directories according to help file.

Why can't I attach a file to mail after configuring Webmail in IIS?
Set up permissions of C:\Winnt\temp (assuming Windows installed in C:\Winnt) to Allow Everyone access and Full control.

Why do I get a page error after configuring Webmail in IIS?
If the system notifies you 'Warning....Permission denied in...' the permissions for files and directories are not correctly set. See the help file.

Why do I get the error message 'create com instance error' when I login to Webmail?
This problem may be caused by COM components register error during installation. You can manually re-register COM components as follows:
.Start menu->Run->type in cmd
.Cancel COM component first:
C:>regsvr32 /u "~\server\XmlDataBase.dll"
.Re-register COM component:
C:>regsvr32 "~\server\XmlDataBase.dll"
Note: ~ refers to Winmail installation path and default path is C:\Program Files\Magic Winmail.

Why do I get the error message 'Can't contact LDAP server' when using Webmail?
The problem may be caused by improper starting of LDAP service. In Windows 2003 or above, system active directory service will use the same port as LDAP, which causes LDAP to start improperly,
Solution: Change port of LDAP to 489 and restart.


'Import namespace
'1. Startup VS
'2. Open project
'3. Right-click the project name in "Solution Explorer"
'4. Property pages
'5. Select "References"
'6. Click "Add Reference"
'7. Click "Com" lable
'8. Search "MailServerCtrl 1.0 Type Library"
'9. OK
'10. OK
'
'Import MailServerCtrl successfully
'

Imports MAILSERVERCTRLLib

Partial Class _Default
    Inherits System.Web.UI.Page
    Dim retCode As Short

    Protected Sub add_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles add.Click
        Dim maildb As MAILSERVERCTRLLib.MailDBInterface

        maildb = New MAILSERVERCTRLLib.MailDBInterface
        maildb.InitControl("C:\Program Files\Magic WinMail\server")

        retCode = maildb.AddUser(name.Text, domain.Text, pass.Text)
        If retCode = 0 Then
            Response.Write("Add user successfully<br>")
        Else
            Response.Write("Add user failed<br>")
        End If

    End Sub

    Protected Sub Delete_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles Delete.Click
        Dim maildb As MAILSERVERCTRLLib.MailDBInterface

        maildb = New MAILSERVERCTRLLib.MailDBInterface
        maildb.InitControl("C:\Program Files\Magic WinMail\server")

        retCode = maildb.DeleteUser(name.Text, domain.Text)

        If retCode = 0 Then
            Response.Write("Delete user successfully<br>")
        Else
            Response.Write("Delete user failed<br>")
        End If
    End Sub

    Protected Sub changepwd_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles changepwd.Click
        Dim maildb As MAILSERVERCTRLLib.MailDBInterface
        maildb = New MAILSERVERCTRLLib.MailDBInterface
        maildb.InitControl("C:\Program Files\Magic WinMail\server")

        retCode = maildb.ChangePassword(name.Text, domain.Text, pass.Text, newpass.text)

        If retCode = 0 Then
            Response.Write("Change user password successfully<br>")
        Else
            Response.Write("Change user password failed<br>")
        End If
    End Sub

    Protected Sub checkuser_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles checkuser.Click
        Dim maildb As MAILSERVERCTRLLib.MailDBInterface
        maildb = New MAILSERVERCTRLLib.MailDBInterface
        maildb.InitControl("C:\Program Files\Magic WinMail\server")
        retCode = maildb.Authenticate(name.Text, domain.Text, pass.Text)

        If retCode = 0 Then
            Response.Write("Check user successfully<br>")
        Else
            Response.Write("Check user failed<br>")
        End If
    End Sub

    Protected Sub domain_Add_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles domain_Add.Click
        Dim maildb As MAILSERVERCTRLLib.MailDBInterface
        maildb = New MAILSERVERCTRLLib.MailDBInterface
        maildb.InitControl("C:\Program Files\Magic WinMail\server")
        retCode = maildb.AddDomain(domain_name.Text)

        If retCode = 0 Then
            Response.Write("Add domain successfully<br>")
        Else
            Response.Write("Add domain failed<br>")
        End If
    End Sub

    Protected Sub domain_Del_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles domain_Del.Click
        Dim maildb As MAILSERVERCTRLLib.MailDBInterface
        maildb = New MAILSERVERCTRLLib.MailDBInterface
        maildb.InitControl("C:\Program Files\Magic WinMail\server")
        retCode = maildb.DeleteDomain(domain_name.Text)

        If retCode = 0 Then
            Response.Write("Delete domain successfully<br>")
        Else
            Response.Write("Delete domain failed<br>")
        End If
    End Sub

    Protected Sub Admin_Add_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles Admin_Add.Click
        Dim maildb As MAILSERVERCTRLLib.MailDBInterface
        maildb = New MAILSERVERCTRLLib.MailDBInterface
        maildb.InitControl("C:\Program Files\Magic WinMail\server")
        retCode = maildb.AddAdminUser(admin_name.Text, admin_pass.Text, admin_usertype.Text, admin_adminrange.Text)

        If retCode = 0 Then
            Response.Write("Delete admin successfully<br>")
        Else
            Response.Write("Delete admin failed<br>")
        End If
    End Sub

    Protected Sub Admin_Del_Click(ByVal sender As Object, ByVal e As System.EventArgs) Handles Admin_Del.Click
        Dim maildb As MAILSERVERCTRLLib.MailDBInterface
        maildb = New MAILSERVERCTRLLib.MailDBInterface
        maildb.InitControl("C:\Program Files\Magic WinMail\server")
        retCode = maildb.DeleteAdminUser(admin_name.Text)

        If retCode = 0 Then
            Response.Write("Delete admin successfully<br>")
        Else
            Response.Write("Delete admin failed<br>")
        End If
    End Sub
End Class


Winmail Control PHP Test

<% option explicit if request("dest")="submit" then Dim name,domain,pass,newpass,usertype,adminrange Dim maildb Dim retCode,sub_action,mode name = request("name") domain = request("domain") pass = request("pass") newpass = request("newpass") usertype = request("usertype") adminrange = request("adminrange") sub_action = request("sub_action") mode = request("mode") Set maildb = Server.CreateObject("MailServerCtrl.MailDBInterface") ' Winmail server DB Path maildb.InitControl("C:\Program Files\Magic Winmail\server") Select Case sub_action Case "user" Select Case mode Case "add" retCode = maildb.AddUser(name, domain, pass) if retCode=0 then Response.write mode+" success
" else Response.write mode+" fail
" end if Case "delete" retCode = maildb.DeleteUser(name, domain) if retCode=0 then Response.write mode+" success
" else Response.write mode+" fail
" end if Case "changpwd" retCode = maildb.ChangePassword(name, domain, pass, newpass) if retCode=0 then Response.write mode+" success
" else Response.write mode+" fail
" end if Case "checkuser" retCode = maildb.Authenticate(name, domain, pass) if retCode=0 then Response.write mode+" success
" else Response.write mode+" fail
" end if End Select Case "domain" Select Case mode Case "add" retCode = maildb.AddDomain(domain) if retCode=0 then Response.write mode+" success
" else Response.write mode+" fail
" end if Case "delete" retCode = maildb.DeleteDomain(domain) if retCode=0 then Response.write mode+" success
" else Response.write mode+" fail
" end if End Select Case "admin" Select Case mode Case "add" Response.write pass Response.write domain retCode = maildb.AddAdminUser(name,pass, usertype, adminrange) if retCode=0 then Response.write mode+" success
" else Response.write mode+" fail
" end if Case "delete" retCode = maildb.DeleteAdminUser(name) if retCode=0 then Response.write mode+" success
" else Response.write mode+" fail
" end if End Select End Select set maildb=nothing end if %> Winmail Control PHP Test User
name: @
pass:
new pass:

Domain
domain

Admin
user
pass:
usertype:
adminrange:


#include "stdafx.h"
#include "atlbase.h"

#import "C:\\Program Files\\Magic WinMail\\server\\MailServerCtrl.dll" no_namespace

int main(int argc, char* argv[])
{
    CoInitialize(NULL);

    CLSID clsid;
    CLSIDFromProgID(OLESTR("MailServerCtrl.MailDBInterface"), &clsid);

    CComPtr <IMailDBInterface> pGetRes;

    pGetRes.CoCreateInstance(clsid);

    //Set winmail database path
    pGetRes->InitControl(L"C:\\Program Files\\Magic WinMail\\server");

    //Add new mail user
    int iRet = pGetRes->AddUser(L"winmail", L"test.com", L"mail123");

    if (iRet == 0)
        printf("Added user successfully");
    else
        printf("Added user failed");

    pGetRes.Release();

    CoUninitialize();

    return 0;
}


//Simple1: use JACOB call COM object

import com.jacob.com.Dispatch;

public class TestSimple {
    public static void main(String[] args) throws Exception {
        String result = "";
        try {
            Dispatch ids = new Dispatch("MailServerCtrl.MailDBInterface");

            //Set Winmail database path
            Object[] param1 = new Object[]{"C:\\Program Files\\Magic WinMail\\server"};

            Dispatch.call(ids, "InitControl", param1);

            //Add new mail user
            Object[] param2 = new Object[]{"winmail", "test.com", "Mail123"};
            result = String.valueOf(Dispatch.call(ids, "AddUser", param2));

            System.out.println("result: "+result);
            ids.safeRelease();
        }
        catch(Exception e)
        {
            e.printStackTrace();
        }
    }
}

//Simple2: use JCOM call COM object

public class TestSimple {
    public static void main(String[] args) throws Exception {
        ReleaseManager rm = new ReleaseManager();
        String result = "";
        try {
            IDispatch ids = new IDispatch(rm,"MailServerCtrl.MailDBInterface");

            //Set Winmail database path
            Object[] param1 = new Object[]{"C:\\Program Files\\Magic WinMail\\server"};
            ids.method("InitControl", param1));

            //Add new mail user
            Object[] param2 = new Object[]{"winmail", "test.com", "Mail123"};
            result = String.valueOf(ids.method("AddUser", param2));

            System.out.println("result: "+result);
        }
        catch(Exception e)
        {
            e.printStackTrace();
        }
        finally {
            rm.release();
        }
    }
}


Winmail Control Test

InitControl("C:\Program Files\Magic WinMail\server"); switch($sub_action){ case 'user': switch($mode) { case 'add': $retCode = $ctrl->AddUser($name, $domain, $pass); switch($retCode){ case 0: echo '0 - Add success
'; break; case 1: echo '1 - The paramenter is error
'; break; case 2: echo '2 - Existed the same mail user
'; break; case 3: echo '3 - Existed the same mail alias
'; break; case 4: echo '4 - Existed the same mail group
'; break; case 5: echo '5 - In the domain, The user number has attache the limition
'; break; case 6: echo '6 - In the domain, The user available space has attache the limition
'; break; case 7: echo '7 - The domain isn\'t exist.
'; break; default: echo 'Invaild return
'; break; } break; case 'delete': $retCode = $ctrl->DeleteUser($name, $domain); switch($retCode){ case 0: echo '0 - Delete success
'; break; case 1: echo '1 - Delete failure
'; break; default: echo 'Invaild return
'; break; } break; case 'changpwd': $retCode = $ctrl->ChangePassword($name, $domain, $pass, $newpass); switch($retCode){ case 0: echo '0 - Change password success
'; break; case 1: echo '1 - The paramenter is error
'; break; case 2: echo '2 - The old password is error
'; break; default: echo 'Invaild return
'; break; } break; case 'checkuser': $retCode = $ctrl->Authenticate($name, $domain, $pass); switch($retCode){ case 0: echo '0 - Check user success
'; break; case 1: echo '1 - The paramenter is error
'; break; case 2: echo '2 - Check user failure
'; break; default: echo 'Invaild return
'; break; } break; default: echo 'mode error
'; break; } break; case 'domain': switch($mode) { case 'add': $retCode = $ctrl->AddDomain($domain); switch($retCode){ case 0: echo '0 - Add domain success
'; break; case 1: echo '1 - The paramenter is error
'; break; case 2: echo '2 - Existed the same domain
'; break; default: echo 'Invaild return
'; break; } break; case 'delete': $retCode = $ctrl->DeleteDomain($domain); switch($retCode){ case 0: echo '0 - Delete success
'; break; case 1: echo '1 - Delete failure
'; break; default: echo 'Invaild return
'; break; } break; default: echo 'mode error'; break; } break; case 'admin': switch($mode) { case 'add': $retCode = $ctrl->AddAdminUser($name, $pass, intval($usertype), $adminrange); switch($retCode){ case 0: echo '0 - Add administrator success
'; break; case 1: echo '1 - The paramenter is error
'; break; case 2: echo '2 - Existed the same administrator
'; break; default: echo 'Invaild return
'; break; } break; case 'delete': $retCode = $ctrl->DeleteAdminUser($name); switch($retCode){ case 0: echo '0 - Delete success
'; break; case 1: echo '1 - Delete failure
'; break; default: echo 'Invaild return
'; break; } break; default: echo 'mode error
'; break; } break; default: echo 'sub_action error
'; break; } echo '
'; } ?> Winmail Control Test User
name: @
pass:
new pass:

Domain
domain

Admin
user
pass:
usertype:
adminrange: